KPL/FK

MER-1 Frames Kernel -- SSTB PARAMETERS
========================================================================

   This frame kernel contains complete set of frame definitions for the
   MER-1 including definitions for the MER-1 cruise, lander, and rover
   frames, local level, topocentric and surface-fixed frames, IDD, PMA
   and mobility structure frames, and science instrument frames.


Version and Date
========================================================================

   Version 0.3 -- December 4, 2003 -- Boris Semenov, NAIF

      Replaced PANCAM_LEFT and PANCAM_RIGHT frames each with 
      eight individual frames, one for every filter.

      Replaced MICROIMAGER frame with two frames, one for closed and 
      one for open cover (called MICROIMAGER_F1 and MICROIMAGER_F2)

      Re-defined PMA_BASE frame to be CK-based (to allow separate CK
      segments for PMA AZ and EL rotations.)

      Added PMA_ZERO_AZ and PMA_ZERO_EL frames to allow incorporating 
      the gimbal angle corrections into the PMA frame chain.

   Version 0.2 -- September 29, 2003 -- Boris Semenov, NAIF

      Migrated the "TOPO" frame definition from a separate file --
      mer1_tp_tm20b3_iau2000_v1.tf -- to this file as the final landing
      site selection has been made.

      Modified NAVCAM, PANCAM and HAZCAM frame definitions to match 
      preliminary calibration data (CAHVOR(E) models.) Note that 
      the calibration update is expected in Aug-Sep '03.

      Declared IDD_BASE frame obsolete as IDD engineers ended up not
      using it for anything; modified tables and diagrams to reflect
      that. 

      Corrected IDD diagrams to reflect actual relative location of the
      joints.

      Replaced nominal IDD instrument offset values with the actual
      values from calibration report.

      Changed the following HAZCAM frame and structure name to be consistent
      with MIPS terminology:

         HAZCAM_FRONT_LEFT  --> FRONT_HAZCAM_LEFT  
         HAZCAM_FRONT_RIGHT --> FRONT_HAZCAM_RIGHT
         HAZCAM_REAR_LEFT   --> REAR_HAZCAM_LEFT  
         HAZCAM_REAR_RIGHT  --> REAR_HAZCAM_RIGHT

      Changed MINI_TES to MINITES for the same reason.

      Corrected diagrams to place shown ROVER frame origin closer to the 
      to the actual Rover Navigation Frame origin location, to put MINITES 
      off-center w.r.t. to the PMA AZ axis, and to put PMA head frame
      center closer to the left side of the PMA assembly.

      Change rotation order and angle values of the Euler angles
      specifying orientation of the cameras w.r.t. to their reference 
      frames. Now to rotate from reference to camera it is first about 
      Y, second about X, third about Z. Updated comments to reflect this.

      Added name-ID mappings for individual SITEs (SITE_##/-2539##.)

   Version 0.1 -- March 28, 2003 -- Boris Semenov, NAIF

      Fixed NAVCAM/PANCAM LEFT/RIGHT ID codes in the frame definitions
      and body ID-name mapping keywords. NAVCAM LEFT/RIGHT IDs are now
      -253111/-253112; PANCAM LEFT/RIGHT IDs are -253121/-253122. 

      Fixed NAVCAM/PANCAM LEFT/RIGHT frame ASCII diagrams to show the
      right hand frames.

      Fixed PANCAM LEFT/RIGHT frame definitions to make nominal toe-in
      rotations in the right direction.
 
   Version 0.0 -- February 13, 2003 -- Boris Semenov, NAIF

      MER-A was replaced with MER-1 to match projects official
      name<->id mapping.
 
   Version 0.0 -- October 18, 2002 -- Boris Semenov, NAIF

      Initial Release. Complete frame layout, but some descriptions and 
      diagram are not implemented.
 

References
========================================================================

   1. ``Frames Required Reading''

   2. ``Kernel Pool Required Reading''

   3. ``C-Kernel Required Reading''

   4. ``MER Pointing, Positioning, Phasing and Coordinate Systems'', 
      MER420-2-431, Latest Version

   5. MAS, IDD, HGA, and PMA MICD documents, MER420-3-480, Latest 
      Version

   6. FM IDD Test Report Summary, Eric T. Baumgartner, March 2003.


Contact Information
========================================================================

   Boris V. Semenov, NAIF/JPL, (818)-354-8136, bsemenov@spice.jpl.nasa.gov


Implementation Notes
========================================================================

   This file is used by the SPICE system as follows: programs that make
   use of this frame kernel must `load' the kernel, normally during
   program initialization. The SPICELIB routine FURNSH and CSPICE
   function furnsh_c load a kernel file into the kernel pool as shown
   below.

      CALL FURNSH ( 'frame_kernel_name' )
      furnsh_c    ( 'frame_kernel_name' )

   This file was created and may be updated with a text editor or word
   processor.


MER-1 NAIF ID Codes
========================================================================

   The following names and NAIF ID codes are assigned to the MER-1
   rover, its structures and science instruments (the keywords
   implementing these definitions are located in the section "MER-1
   Mission NAIF ID Codes -- Definition Section" at the end of this
   file):
 
   MER-1 rover, landing site, and sites:
   -------------------------------------

      MER-1                      -253
      MER-1_LANDING_SITE         -253900
      MER-1_SITE_##              -2539##, where ## is 1 to 99

   MER-1 HAZCAMs:
   --------------

      MER-1_FRONT_HAZCAM_LEFT    -253011
      MER-1_FRONT_HAZCAM_RIGHT   -253012
      MER-1_REAR_HAZCAM_LEFT     -253021
      MER-1_REAR_HAZCAM_RIGHT    -253022

   MER-1 PMA structures and PMA-mounted instruments:
   --------------------------------------------------

      MER-1_PMA_BASE             -253100
      MER-1_PMA_HEAD             -253110
      MER-1_NAVCAM_LEFT          -253111
      MER-1_NAVCAM_RIGHT         -253112
      MER-1_PANCAM_LEFT_F1       -253121
      MER-1_PANCAM_LEFT_F2       -253122
      MER-1_PANCAM_LEFT_F3       -253123
      MER-1_PANCAM_LEFT_F4       -253124
      MER-1_PANCAM_LEFT_F5       -253125
      MER-1_PANCAM_LEFT_F6       -253126
      MER-1_PANCAM_LEFT_F7       -253127
      MER-1_PANCAM_LEFT_F8       -253128
      MER-1_PANCAM_RIGHT_F1      -253131
      MER-1_PANCAM_RIGHT_F2      -253132
      MER-1_PANCAM_RIGHT_F3      -253133
      MER-1_PANCAM_RIGHT_F4      -253134
      MER-1_PANCAM_RIGHT_F5      -253135
      MER-1_PANCAM_RIGHT_F6      -253136
      MER-1_PANCAM_RIGHT_F7      -253137
      MER-1_PANCAM_RIGHT_F8      -253138
      MER-1_MINITES              -253140

   MER-1 IDD structures and IDD-mounted instruments:
   --------------------------------------------------

      MER-1_IDD_BASE             -253200
      MER-1_IDD_SHOULDER_AZ      -253201
      MER-1_IDD_SHOULDER_EL      -253202
      MER-1_IDD_ELBOW            -253203
      MER-1_IDD_WRIST            -253204
      MER-1_IDD_TURRET           -253205
      MER-1_IDD_TURRET_HEAD      -253206
      MER-1_APXS                 -253210
      MER-1_MICROIMAGER          -253220
      MER-1_MICROIMAGER_F1       -253221
      MER-1_MICROIMAGER_F2       -253222
      MER-1_RAT                  -253230
      MER-1_MOSSBAUER            -253240

   MER-1 Antennas:
   ---------------

      MER-1_MGA                  -253500
      MER-1_CLGA                 -253510
      MER-1_BLGA                 -253520      
      MER-1_UHF                  -253030
      MER-1_HGA_BASE             -253300
      MER-1_HGA                  -253310
      MER-1_RLGA                 -253540

   MER-1 mobility system components:
   ---------------------------------

      MER-1_ROCKER_LEFT          -253410
      MER-1_BOGEY_LEFT           -253411
      MER-1_STRUT_FRONT_LEFT     -253412
      MER-1_STRUT_REAR_LEFT      -253413
      MER-1_ROCKER_RIGHT         -253420
      MER-1_BOGEY_RIGHT          -253421
      MER-1_STRUT_FRONT_RIGHT    -253422
      MER-1_STRUT_REAR_RIGHT     -253423


MER-1 Frames
========================================================================

   The following MER-1 frames are defined in this kernel file:

           Name                      Relative to         Type    NAIF ID
      ======================     ===================     =====   =======

   MER-1 Surface frames:
   ---------------------

      MER-1_TOPO                 IAU_MARS                FIXED   -253900
      MER-1_LOCAL_LEVEL          MER-1_TOPO              FIXED   -253910
      MER-1_SURFACE_FIXED        MER-1_LOCAL_LEVEL       FIXED   -253920

   MER-1 rover, lander, and cruise frames:
   ---------------------------------------

      MER-1_ROVER                MER-1_LOCAL_LEVEL       CK      -253000
      MER-1_LANDER               MER-1_LOCAL_LEVEL       FIXED   -253700
      MER-1_CRUISE               J2000                   CK      -253800

   MER-1 rover body-mounted instrument frames:
   -------------------------------------------

      MER-1_FRONT_HAZCAM_LEFT    MER-1_ROVER             FIXED   -253011
      MER-1_FRONT_HAZCAM_RIGHT   MER-1_ROVER             FIXED   -253012
      MER-1_REAR_HAZCAM_LEFT     MER-1_ROVER             FIXED   -253021
      MER-1_REAR_HAZCAM_RIGHT    MER-1_ROVER             FIXED   -253022
      MER-1_UHF                  MER-1_ROVER             FIXED   -253030

   MER-1 PMA and PMA-mounted instrument frames:
   --------------------------------------------
  
      MER-1_PMA_ZERO_AZ          MER-1_ROVER             CK      -253101
      MER-1_PMA_BASE             MER-1_PMA_ZERO_AZ       CK      -253100
      MER-1_PMA_ZERO_EL          MER-1_BASE              CK      -253102
      MER-1_PMA_HEAD             MER-1_PMA_ZERO_EL       CK      -253110
      MER-1_NAVCAM_LEFT          MER-1_PMA_HEAD          FIXED   -253111
      MER-1_NAVCAM_RIGHT         MER-1_PMA_HEAD          FIXED   -253112
      MER-1_PANCAM_LEFT_F1       MER-1_PMA_HEAD          FIXED   -253121
      MER-1_PANCAM_LEFT_F2       MER-1_PMA_HEAD          FIXED   -253122
      MER-1_PANCAM_LEFT_F3       MER-1_PMA_HEAD          FIXED   -253123
      MER-1_PANCAM_LEFT_F4       MER-1_PMA_HEAD          FIXED   -253124
      MER-1_PANCAM_LEFT_F5       MER-1_PMA_HEAD          FIXED   -253125
      MER-1_PANCAM_LEFT_F6       MER-1_PMA_HEAD          FIXED   -253126
      MER-1_PANCAM_LEFT_F7       MER-1_PMA_HEAD          FIXED   -253127
      MER-1_PANCAM_LEFT_F8       MER-1_PMA_HEAD          FIXED   -253128
      MER-1_PANCAM_RIGHT_F1      MER-1_PMA_HEAD          FIXED   -253131
      MER-1_PANCAM_RIGHT_F2      MER-1_PMA_HEAD          FIXED   -253132
      MER-1_PANCAM_RIGHT_F3      MER-1_PMA_HEAD          FIXED   -253133
      MER-1_PANCAM_RIGHT_F4      MER-1_PMA_HEAD          FIXED   -253134
      MER-1_PANCAM_RIGHT_F5      MER-1_PMA_HEAD          FIXED   -253135
      MER-1_PANCAM_RIGHT_F6      MER-1_PMA_HEAD          FIXED   -253136
      MER-1_PANCAM_RIGHT_F7      MER-1_PMA_HEAD          FIXED   -253137
      MER-1_PANCAM_RIGHT_F8      MER-1_PMA_HEAD          FIXED   -253138
      MER-1_MINITES              MER-1_PMA_HEAD          FIXED   -253140

   MER-1 IDD and IDD-mounted instrument frames:
   --------------------------------------------

      MER-1_IDD_BASE             MER-1_ROVER             FIXED   -253200
      MER-1_IDD_SHOULDER_AZ      MER-1_ROVER             CK      -253201
      MER-1_IDD_SHOULDER_EL      MER-1_IDD_SHOULDER_AZ   CK      -253202
      MER-1_IDD_ELBOW            MER-1_IDD_SHOULDER_EL   CK      -253203
      MER-1_IDD_WRIST            MER-1_IDD_ELBOW         CK      -253204
      MER-1_IDD_TURRET           MER-1_IDD_WRIST         CK      -253205
      MER-1_IDD_TURRET_HEAD      MER-1_IDD_TURRET        FIXED   -253206
      MER-1_APXS                 MER-1_IDD_TURRET_HEAD   FIXED   -253210
      MER-1_MICROIMAGER_F1       MER-1_IDD_TURRET_HEAD   FIXED   -253221
      MER-1_MICROIMAGER_F2       MER-1_IDD_TURRET_HEAD   FIXED   -253222
      MER-1_RAT                  MER-1_IDD_TURRET_HEAD   FIXED   -253230
      MER-1_MOSSBAUER            MER-1_IDD_TURRET_HEAD   FIXED   -253240

   MER-1 antenna frames:
   ----------------------

      MER-1_MGA                  MER-1_ROVER             FIXED   -253500
      MER-1_CLGA                 MER-1_ROVER             FIXED   -253510
      MER-1_BLGA                 MER-1_ROVER             FIXED   -253520      
      MER-1_UHF                  MER-1_ROVER             FIXED   -253030
      MER-1_HGA_BASE             MER-1_ROVER             FIXED   -253300
      MER-1_HGA                  MER-1_HGA_BASE          CK      -253310
      MER-1_RLGA                 MER-1_ROVER             FIXED   -253540

   MER-1 mobility system frames:
   -----------------------------

      MER-1_ROCKER_LEFT          MER-1_ROVER             CK      -253410
      MER-1_BOGEY_LEFT           MER-1_ROCKER_LEFT       CK      -253411
      MER-1_STRUT_FRONT_LEFT     MER-1_ROCKER_LEFT       CK      -253412
      MER-1_STRUT_REAR_LEFT      MER-1_BOGEY_LEFT        CK      -253413
      MER-1_ROCKER_RIGHT         MER-1_ROVER             CK      -253420
      MER-1_BOGEY_RIGHT          MER-1_ROCKER_RIGHT      CK      -253421
      MER-1_STRUT_FRONT_RIGHT    MER-1_ROCKER_RIGHT      CK      -253422
      MER-1_STRUT_REAR_RIGHT     MER-1_BOGEY_RIGHT       CK      -253423


MER-1 Frame Tree
========================================================================

   The diagram below shows the MER-1 frame hierarchy:


                                   "J2000" 
          +-------------------------------------------------------+
          |                           |                           |
          |<-ck                       |<-pck                      |<-pck
          |                           |                           |
          v                           v                           v
      MER-1_CRUISE               "IAU_MARS"                 "IAU_EARTH"
      -----------------          ----------                 -----------
          ^      .                    |             
          .      .                    |<-fixed      
          .      .                    |             
          .      .                    v             
          .      .               "MER-1_TOPO"  
          .      .               ------------
          .      .                    |            
          .      .                    |<-fixed     
          .      .                    |            
          .      .                    v    
          .      .            "MER-1_LOCAL_LEVEL"  
          .      .            ------------------------------------+   
          .      .                    |             |             |
          .      .                    |<-ck         |<-fixed      |<-fixed
          .      .                    |             |             |
          .      .                    |             v             v
          .      .                    |  "MER-1_SURFACE_FIXED" "MER-1_LANDER" 
          .      .                    |  --------------------- -------------- 
          .      .     (3)            |                           ^
          .      . . . .. . . ..      |                           .
          .      .      .      .      |                           .
          .      .      .      .      |                           .
          .      v      .      .      |                           .
          . "MER-1_CLGA".      .      |              "MER-1_RLGA" .
          . ------------.      .      |              ------------ .
          .      ^      .      .      |                    ^      .
          .      |      .      .      |                    |      .
          .      |<-fxd .      .      |                    |<-fxd .
          .      |      .      .      |                    |      .
          .      |      v      .      |                    |      .
          .      | "MER-1_BLGA".      |   "MER-1_HAZCAM_*" |      . 
          .      | ------------.      |   ---------------- |      .
          .      |      ^      .      |             ^      |      .
          .      |      |      .      |             |      |      .
          .      |      |<-fxd .      |             |<-fxd |      .
          .      |      |      .      |             |      |      .
          .      |      |      v      |             |      |      .
          .      |      | "MER-1_MGA" | "MER-1_UHF" |      |      .
          .      |      | ----------- | ----------- |      |      .
          .      |      |      ^      |      ^      |      |      .
          .      |      |      |      |      |      |      |      .
          .(1)   |      | fxd->|      |      |<-fxd |      |      .(2)
          .      |      |      |      |      |      |      |      .
          v      |      |      |      v      |      |      |      v
          +-------------------------------------------------------+
                                "MER-1_ROVER"
          +-------------------------------------------------------+
          |             |                           |             |
          |             |<-fixed                    |<-fixed      |
          |             |                           |             |
          |             v                           v             |
          |     "MER-1_PMA_ZERO_AZ"           "MER-1_HGA_BASE"    |
          |     -------------------           ----------------    |
          |             |                           |             |
          |             |<-ck                       |<-ck         |
          |             |                           |             |
          |             V                           v             |
          |      "MER-1_PMA_BASE"               "MER-1_HGA"       |
          |      ----------------               -----------       |
          |             |                                         |
          |             |<-fixed                                  |
          |             |                                         |
          |             V                                         |
          |     "MER-1_PMA_ZERO_EL"                               |
          |     -------------------                               |
          |             |                                         |
          |             |<-ck                                     |
          |             |                                         |
          |             v                                         |
          |      "MER-1_PMA_HEAD"                                 |
          |      +-----------------------------------------+      |
          |      |                    |                    |      |
          |      |<-fixed             |<-fixed      fixed->|      |
          |      |                    |                    |      |
          |      v                    v                    v      |
          |  "MER-1_PANCAM_*"  "MER-1_NAVCAM_*"  "MER-1_MINITES"  |
          |  ----------------  ----------------  ---------------  |
          |                                                       |
          |                                                       |
          |                                                       |
          |------------------------------+                        |
          |           (obsolete)         |                        |
          |<-ck                          |<-fixed                 |
          |                              |                        |
          v                              V                        |
      "MER-1_IDD_SHOULDER_AZ"     "MER-1_IDD_BASE"                |
      -----------------------     ----------------                |
          |                                                       |
          |<-ck                                                   |<-ck
          |                                                       |
          v                                                       v
      "MER-1_IDD_SHOULDER_EL"                             "MER-1_ROCKER_*"
      -----------------------         +-----------------------------------
          |                           |                           |
          |<-ck                       |<-ck                       |<-ck
          |                           |                           |
          v                           v                           v
      "MER-1_IDD_ELBOW"        "MER-1_STRUT_FRONT_*"       "MER-1_BOGEY_*"
      -----------------        ---------------------       ---------------
          |                                                       |
          |<-ck                                                   |<-ck
          |                                                       |
          v                                                       v
      "MER-1_IDD_WRIST"                               "MER-1_STRUT_REAR_*"
      -----------------                               --------------------
          |                                                        
          |<-ck                                                    
          |                                                        
          v                                                        
      "MER-1_IDD_TURRET"
      ------------------
          |                                                        
          |<-fixed                                                    
          |                                                        
          v                                                        
      "MER-1_IDD_TURRET_HEAD"
      ------------------------------------------------------------+    
          |             |                           |             |
          |<-fixed      |<-fixed                    |<-fixed      |<-fixed
          |             |                           |             |
          v             v                           v             v
      "MER-1_APXS"  "MER-1_MICROIMAGER_F*"  "MER-1_MOSSBAUER"  "MER-1_RAT"  
      ------------  ----------------------  -----------------  -----------


   (1) While MER-1_CRUISE and MER-1_ROVER frames have constant orientation 
       with respect to each other during cruise, the frame tree implemented
       by this FK does not provide this orientation "connection".

   (2) While MER-1_LANDER and MER-1_ROVER frames have constant orientation 
       with respect to each other during cruise and up until the rover rolls
       off the lander, the frame tree implemented by this FK does not provide 
       this orientation "connection".

   (3) Although MGA, CLGA and BLGA are mounted on the cruise stage, for
       CK production convenience reasons they are specified as fixed offset
       frames with respect to the rover frame.


MER-1 Surface Frames
========================================================================

   The surface frames layout in this version of the FK is based on the
   assumption that the total traverse distance during the mission will
   be relatively short (hundreds of meters, not kilometers) and,
   therefore, the local north and nadir directions, defining surface
   frame orientations, will be approximately the same at any point
   along the traverse path. This assumption allows defining surface
   frames as fixed offset frames with respect to each other and/or to
   Mars body-fixed frame, IAU_MARS.

   This diagram illustrates MER-1 surface frames:

      <<TBD>>


MER-1 Topocentric Frame
-----------------------

   MER-1 topocentric frame, MER-1_TOPO, is defined as follows:

      -- +Z axis is along the outward normal at the landing site ("zenith");

      -- +X axis is along the local north direction ("north");

      -- +Y axis completes the right hand frame ("west");

      -- the origin of this frame is located at the landing site.

   Orientation of the frame is given relative to the body fixed
   rotating frame 'IAU_MARS' (x - along the line of zero longitude
   intersecting the equator, z - along the spin axis, y - completing
   the right hand coordinate frame.)

   The transformation from 'MER-1_TOPO' frame to 'IAU_MARS' frame is a
   3-2-3 rotation with defined angles as the negative of the site
   longitude, the negative of the site colatitude, 180 degrees.

   The TM20B3 (Meridiani Planum) landing site Gaussian longitude and
   latitude upon which the definition is built are:

        Lon = 354.060000 degrees East
        Lat =  -2.003511 degrees North

   These Gaussian coordinates correspond to the following areocentric
   coordinates (R, LON, LAT) = (3394.09, 354.060, -1.98) and Mars radii
   (Re, Re, Rp) = (3396.19, 3396.19, 3376.20).

   The coordinates specified above are given with respect to the
   'IAU_MARS' instance defined by the rotation/shape model from the the
   PCK file 'mars_iau2000_v0.tpc'.

   These keywords implement the frame definition.

   \begindata

      FRAME_MER-1_TOPO             = -253900
      FRAME_-253900_NAME           = 'MER-1_TOPO'
      FRAME_-253900_CLASS          =  4
      FRAME_-253900_CLASS_ID       =  -253900
      FRAME_-253900_CENTER         =  -253900

      TKFRAME_-253900_RELATIVE     = 'IAU_MARS'
      TKFRAME_-253900_SPEC         = 'ANGLES'
      TKFRAME_-253900_UNITS        = 'DEGREES'
      TKFRAME_-253900_AXES         = ( 3, 2, 3 )
      TKFRAME_-253900_ANGLES       = ( -354.06, -92.003511, 180.000  )

   \begintext


MER-1 Local Level Frame
-----------------------

   MER-1 local level frame, MER-1_LOCAL_LEVEL, is defined as follows:

      -- +Z axis is along the downward normal at the landing site ("nadir");

      -- +X axis is along the local north direction ("north");

      -- +Y axis completes the right hand frame ("east");

      -- the origin of this frame is located between the rover's middle wheels 
         and moves with the rover.
 
   Since this frame is essentially the MER-1_TOPO frame flipped by 180
   degrees about +X ("north") to point +Z down, this frame is defined
   as a fixed offset frame with respect to the MER-1_TOPO frame.

   \begindata

      FRAME_MER-1_LOCAL_LEVEL          = -253910
      FRAME_-253910_NAME               = 'MER-1_LOCAL_LEVEL'
      FRAME_-253910_CLASS              = 4
      FRAME_-253910_CLASS_ID           = -253910
      FRAME_-253910_CENTER             = -253900
      TKFRAME_-253910_RELATIVE         = 'MER-1_TOPO'
      TKFRAME_-253910_SPEC             = 'ANGLES'
      TKFRAME_-253910_UNITS            = 'DEGREES'
      TKFRAME_-253910_AXES             = (   1,       2,       3     )
      TKFRAME_-253910_ANGLES           = ( 180.000,   0.000,   0.000 )

   \begintext


MER-1 Surface Fixed Frame
-------------------------

   MER-1 surface fixed frame, MER-1_SURFACE_FIXED, frame is defined as
   follows:

      -- +Z axis is along the downward normal at the landing site ("nadir");

      -- +X axis is along the local north direction ("north");

      -- +Y axis completes the right hand frame ("east");

      -- the origin of this frame is located at the landing site.

   As seen from the definition, orientation-wise this frame is
   coincident with MER-1_LOCAL_LEVEL frame but its origin does not move
   during the mission. Therefore, this frame is defined as zero-offset
   frame with respect to the MER-1_LOCAL_LEVEL frame.

   \begindata

      FRAME_MER-1_SURFACE_FIXED        = -253920
      FRAME_-253920_NAME               = 'MER-1_SURFACE_FIXED'
      FRAME_-253920_CLASS              = 4
      FRAME_-253920_CLASS_ID           = -253920
      FRAME_-253920_CENTER             = -253900
      TKFRAME_-253920_RELATIVE         = 'MER-1_LOCAL_LEVEL'
      TKFRAME_-253920_SPEC             = 'ANGLES'
      TKFRAME_-253920_UNITS            = 'DEGREES'
      TKFRAME_-253920_AXES             = (   1,       2,       3     )
      TKFRAME_-253920_ANGLES           = (   0.000,   0.000,   0.000 )

   \begintext


MER-1 Rover, Lander, and Cruise Frames
========================================================================

   This diagram illustrates MER-1 cruise, rover, and lander frames:


                           Yc        Xc
                 .__________ <------o _________________.
                 |                  |                  |   Cruise 
                 ._________________ | _________________.    Stage
                                    |
                                    V Zc


                                 UHF    /\
                         HGA            \/ PMA
                          .--.    #     ||
                         /    \   #     ||
                        |      |  #     ||
                         \    /=. #     ||
                          `--' || #     ||                 Rover
                       =======================           (deployed)
                             |    =o=.    |
                             |  .' Yr `.__|o====o
                           .===o=== o------> Xr \\     
                          .-.      .|.    `.-.  ##o###
                         | o |    | | |   | o | 
                          `-'      `|'     `-'     IDD
                                    V Zr
                                     

                           Yl 
           .________________ <------o _______________.     Lander
           |_______________________ |Xl _____________|   (deployed)
                                    |
                                    |
                                    V Zl

                                     
MER-1 Rover Frame
-----------------

   MER-1 rover frame, MER-1_ROVER, is defined as follows:

      -- +Z axis is normal to the rover top deck plane and points down, from 
         the top deck toward the wheels;

      -- +X axis is parallel to the rover top deck plane and points from the 
         center of the top deck toward the PMA assembly;

      -- +Y completes the right hand frame;

   Orientation-wise this frame is the same as the Rover Mechanical and
   Rover Navigation frames defined in [4]. Since SPICE frames subsystem
   does not incorporate location information -- it is stored in the
   fixed offset SPK files -- this FK does not attempt to "map" the
   origin of the MER-1_ROVER to either Rover Navigation origin (located
   right above the middle wheels and shown on the diagram above and all
   other diagrams in this file) or Rover Mechanical frame origin
   (shifted by about 29 cm toward the front wheels). This "mapping" is
   done by defining a separate location for each of the two origins in
   the MER-1 fixed offset SPK file.

   During cruise this frame is rotated from the lander and cruise
   frames by +90 degrees about +Z axis. This orientation can also be
   provided in a CK file, but this frame seem to have no practical
   applications in cruise.

   During normal surface operations the MER-1_ROVER frame orientation
   with respect to the surface changes as the rover moves.
   Therefore, this frame is defined as a CK frame and the frame's
   orientation with respect to the MER-1_LOCAL_LEVEL frame is provided
   in the CK files.

   \begindata

      FRAME_MER-1_ROVER                = -253000
      FRAME_-253000_NAME               = 'MER-1_ROVER'
      FRAME_-253000_CLASS              = 3
      FRAME_-253000_CLASS_ID           = -253000
      FRAME_-253000_CENTER             = -253
      CK_-253000_SCLK                  = -253
      CK_-253000_SPK                   = -253000

   \begintext


MER-1 Lander Frame
------------------

   MER-1 lander frame, MER-1_LANDER, is defined as follows:

      -- +Z axis is normal to the lander base petal plane and points down, 
         from the upright lander toward the ground;

      -- +Y axis is parallel to the lander base petal plane and directed 
         outward passing through the geometric center of the rover petal;

      -- +X completes the right hand frame;

      -- the origin of this frame is located at the geometric center of the 
         the lander base petal;

   During cruise this frame is coincident orientation-wise with the
   cruise frame and is rotated by -90 degrees about +Z axis off the
   rover frame. Note that this frame has no practical applications in 
   cruise.

   During normal surface operations the MER-1_LANDER frame orientation
   with respect to the surface is fixed after landing (Even if it changes 
   after the rover rolls off, there is no practical sense in capturing the 
   change magnitude as the lander does not have any instruments of its own.) 
   Therefore, this frame is defined as a fixed offset frame with
   respect to the MER-1_LOCAL_LEVEL frame.

   Currently the keywords below define the lander frame's orientation to 
   be coincident with the local level frame -- +Z = nadir, +X = north, 
   +Y = east.

   \begindata

      FRAME_MER-1_LANDER               = -253700
      FRAME_-253700_NAME               = 'MER-1_LANDER'
      FRAME_-253700_CLASS              = 4
      FRAME_-253700_CLASS_ID           = -253700
      FRAME_-253700_CENTER             = -253
      TKFRAME_-253700_RELATIVE         = 'MER-1_LOCAL_LEVEL'
      TKFRAME_-253700_SPEC             = 'ANGLES'
      TKFRAME_-253700_UNITS            = 'DEGREES'
      TKFRAME_-253700_AXES             = (   1,       2,       3     )
      TKFRAME_-253700_ANGLES           = (   0.000,   0.000,   0.000 )

   \begintext


MER-1 Cruise Frame
------------------

   MER-1 cruise frame, MER-1_CRUISE, is defined as follows:

      -- +Z axis is parallel to s/c spin axis and points toward the end of 
         the aeroshell (in the launch direction);

      -- +Y axis is parallel to the spacecraft/launch vehicle interface 
         plane and point toward star scanner assembly;

      -- +X completes the right hand frame;

      -- the origin of this frame is at the geometric center of the spacecraft/
         launch vehicle interface ring.

   During cruise the MER-1_CRUISE frame orientation in inertial space 
   changes as the spacecraft approaches Mars. Therefore, this frame is 
   defined as a CK frame and the frame's orientation with respect to the 
   J2000 inertial frame is provided in the CK files.

   During cruise this frame is coincident orientation-wise with the
   lander frame and is rotated by -90 degrees about +Z axis off the
   rover frame.

   This frame has no practical application during surface operations.

   \begindata

      FRAME_MER-1_CRUISE               = -253800
      FRAME_-253800_NAME               = 'MER-1_CRUISE'
      FRAME_-253800_CLASS              = 3
      FRAME_-253800_CLASS_ID           = -253800
      FRAME_-253800_CENTER             = -253
      CK_-253800_SCLK                  = -253
      CK_-253800_SPK                   = -253800

   \begintext


MER-1 Rover HAZCAM Frames
========================================================================


MER-1 HAZCAM Frames
-------------------

   The frame for each of the four MER-1 HAZCAMs -- FRONT/LEFT, FRONT/RIGHT,
   REAR/LEFT, REAR/RIGHT -- is defined as follows:

      -- +Z axis is along the camera's central pixel view direction 
         ("into image");

      -- +Y axis is along the image central column and points from the
         image center toward the image top row ("up");

      -- +X completes the right hand frame and is along the image central
         row and points from the image center toward the image left 
         column ("left");

      -- the origin of the frame is located at the camera focal point.

   This diagram illustrates rover HAZCAM frames:


                                        /\ PMA
                         HGA            \/ 
                          .--.     UHF  ||
                          \   \   #     ||
                    Yhr ^  \   |  #     ||     ^Yhf
                         \  \ /=. #     ||    /
                          \  ' || #     ||   /          
                       ====\================/=          
          (out of page) Xhr o|    =o=.    |x Xhf (into page)
                          .' |  .' Yr `.__| `.
                        .' .===o=== o------>Xr`.
                       v  .-.      .|.    `.-.  v Zhf
                    Zhr  | o |    | | |   | o | 
                          `-'      `|'     `-'
                                    V Zr
                                                 (IDD is not shown)


   Since all HAZCAMs are rigidly mounted on the rover body, their frames 
   are defined as fixed offset frames with orientation given with respect 
   to the rover frame.

   Actual HAZCAM frame orientations will be derived from the final
   CAHVOR models as soon as such become available. Until then the frame
   orientations provided below are set to their nominal design values
   -- boresight in the direction of the rover +X and tilted 45 degrees
   toward the ground for FRONT HAZCAMs and in the direction of -X  and
   tilted 35 degrees toward the ground for REAR HAZCAMs. The
   following sets of keywords should be included into the frame
   definitions to provide this nominal orientation (provided for
   reference only):

      TKFRAME_-253011_AXES             = (   2,       1,       3     )
      TKFRAME_-253011_ANGLES           = ( -45.000,   0.000,  90.000 )

      TKFRAME_-253012_AXES             = (   2,       1,       3     )
      TKFRAME_-253012_ANGLES           = ( -45.000,   0.000,  90.000 )

      TKFRAME_-253021_AXES             = (   2,       1,       3     )
      TKFRAME_-253021_ANGLES           = (  55.000,   0.000, -90.000 )

      TKFRAME_-253022_AXES             = (   2,       1,       3     )
      TKFRAME_-253022_ANGLES           = (  55.000,   0.000, -90.000 )


   The actual MER-1_FRONT_HAZCAM_LEFT frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_126_SN_25.cahvore'. According to this model the reference frame,
   MER-1_ROVER, can be transformed into the camera frame,
   MER-1_FRONT_HAZCAM_LEFT, by the following sequence of rotations: first
   by 45.86576300 degrees about Y, then by -0.88198913 degrees about X, and
   finally by -89.29545711 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_FRONT_HAZCAM_LEFT    = -253011
      FRAME_-253011_NAME               = 'MER-1_FRONT_HAZCAM_LEFT'
      FRAME_-253011_CLASS              = 4
      FRAME_-253011_CLASS_ID           = -253011
      FRAME_-253011_CENTER             = -253
      TKFRAME_-253011_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253011_SPEC             = 'ANGLES'
      TKFRAME_-253011_UNITS            = 'DEGREES'
      TKFRAME_-253011_AXES             = (    2,        1,        3     )
      TKFRAME_-253011_ANGLES           = (  -45.866,    0.882,   89.295 )

   \begintext


   The actual MER-1_FRONT_HAZCAM_RIGHT frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_127_SN_26.cahvore'. According to this model the reference frame,
   MER-1_ROVER, can be transformed into the camera frame,
   MER-1_FRONT_HAZCAM_RIGHT, by the following sequence of rotations: first
   by 44.52628837 degrees about Y, then by -0.43917635 degrees about X, and
   finally by -89.34253786 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_FRONT_HAZCAM_RIGHT   = -253012
      FRAME_-253012_NAME               = 'MER-1_FRONT_HAZCAM_RIGHT'
      FRAME_-253012_CLASS              = 4
      FRAME_-253012_CLASS_ID           = -253012
      FRAME_-253012_CENTER             = -253
      TKFRAME_-253012_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253012_SPEC             = 'ANGLES'
      TKFRAME_-253012_UNITS            = 'DEGREES'
      TKFRAME_-253012_AXES             = (    2,        1,        3     )
      TKFRAME_-253012_ANGLES           = (  -44.526,    0.439,   89.343 )

   \begintext


   The actual MER-1_REAR_HAZCAM_LEFT frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_128_SN_33.cahvore'. According to this model the reference frame,
   MER-1_ROVER, can be transformed into the camera frame,
   MER-1_REAR_HAZCAM_LEFT, by the following sequence of rotations: first
   by -56.77813521 degrees about Y, then by 0.12811350 degrees about X, and
   finally by 90.09086261 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_REAR_HAZCAM_LEFT     = -253021
      FRAME_-253021_NAME               = 'MER-1_REAR_HAZCAM_LEFT'
      FRAME_-253021_CLASS              = 4
      FRAME_-253021_CLASS_ID           = -253021
      FRAME_-253021_CENTER             = -253
      TKFRAME_-253021_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253021_SPEC             = 'ANGLES'
      TKFRAME_-253021_UNITS            = 'DEGREES'
      TKFRAME_-253021_AXES             = (    2,        1,        3     )
      TKFRAME_-253021_ANGLES           = (   56.778,   -0.128,  -90.091 )

   \begintext


   The actual MER-1_REAR_HAZCAM_RIGHT frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_129_SN_29.cahvore'. According to this model the reference frame,
   MER-1_ROVER, can be transformed into the camera frame,
   MER-1_REAR_HAZCAM_RIGHT, by the following sequence of rotations: first
   by -56.73735853 degrees about Y, then by 0.18306030 degrees about X, and
   finally by 89.40163583 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_REAR_HAZCAM_RIGHT    = -253022
      FRAME_-253022_NAME               = 'MER-1_REAR_HAZCAM_RIGHT'
      FRAME_-253022_CLASS              = 4
      FRAME_-253022_CLASS_ID           = -253022
      FRAME_-253022_CENTER             = -253
      TKFRAME_-253022_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253022_SPEC             = 'ANGLES'
      TKFRAME_-253022_UNITS            = 'DEGREES'
      TKFRAME_-253022_AXES             = (    2,        1,        3     )
      TKFRAME_-253022_ANGLES           = (   56.737,   -0.183,  -89.402 )

   \begintext


MER-1 PMA Structures and PMA-Mounted Instrument Frames
========================================================================


MER-1 PMA "zero" AZ, PMA Base, and PMA "zero" EL Frames
-------------------------------------------------------

   MER-1 PMA "zero" AZ frame is introduced to capture offset between
   the rover X axis and the direction (in horizontal plane) along which
   the PMA head is pointing at "zero" AZ & EL gimbal angles. Ideally
   this frame is co-aligned with the rover frame. In reality, its
   rotational offset about +Z axis from the rover frame is not zero.
   This frame is defined as a fixed offset frame w.r.t. the rover
   frame.

   MER-1 PMA base frame, MER-1_PMA_BASE, is rotated from the "zero" AZ
   frame by PMA AZ angle about +Z axis. This frame is defined as a
   CK-based frame.

   MER-1 PMA "zero" EL frame is introduced to capture offset between
   the rover XY plane and the direction (in vertical plane) along which
   the PMA head is pointing at "zero" AZ & EL gimbal angles. Ideally
   this frame is co-aligned with the PMA base frame. In reality, its
   rotational offset about +Y axis from the PMA base frame is not zero.
   This frame is defined as a fixed offset frame w.r.t. the PMA base
   frame.

   The actual AZ and EL offset angles, incorporated into the "zero" AZ
   and EL frame definitions, are:

       SSTB AZ offset   = -0.217552 deg
       SSTB EL offset   =  2.530010 deg

   These are the PMA "zero" AZ, PMA base, and PMA "zero" EL frame
   definitions.

   \begindata

      FRAME_MER-1_PMA_ZERO_AZ          = -253101
      FRAME_-253101_NAME               = 'MER-1_PMA_ZERO_AZ'
      FRAME_-253101_CLASS              = 4
      FRAME_-253101_CLASS_ID           = -253101
      FRAME_-253101_CENTER             = -253
      TKFRAME_-253101_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253101_SPEC             = 'ANGLES'
      TKFRAME_-253101_UNITS            = 'DEGREES'
      TKFRAME_-253101_AXES             = (   2,         1,         3        )
      TKFRAME_-253101_ANGLES           = (   0.000,     0.000,     0.217552 )

      FRAME_MER-1_PMA_BASE             = -253100
      FRAME_-253100_NAME               = 'MER-1_PMA_BASE'
      FRAME_-253100_CLASS              = 3
      FRAME_-253100_CLASS_ID           = -253100
      FRAME_-253100_CENTER             = -253
      CK_-253100_SCLK                  = -253
      CK_-253100_SPK                   = -253100

      FRAME_MER-1_PMA_ZERO_EL          = -253102
      FRAME_-253102_NAME               = 'MER-1_PMA_ZERO_EL'
      FRAME_-253102_CLASS              = 4
      FRAME_-253102_CLASS_ID           = -253102
      FRAME_-253102_CENTER             = -253
      TKFRAME_-253102_RELATIVE         = 'MER-1_PMA_BASE'
      TKFRAME_-253102_SPEC             = 'ANGLES'
      TKFRAME_-253102_UNITS            = 'DEGREES'
      TKFRAME_-253102_AXES             = (   2,          1,         3       )
      TKFRAME_-253102_ANGLES           = (  -2.530010,   0.000,     0.000   )

   \begintext


MER-1 PMA Head Frame
--------------------

   MER-1 PMA head frame, MER-1_PMA_HEAD, is defined as follows:

      -- +X axis is in the direction of the nominal NAVCAM boresight;

      -- +Y axis is along PMA head elevation rotation axis and points
         from the left NAVCAM toward the right NAVCAM;

      -- +Z completes the right hand frame;

      -- the origin of this frame is at the intersection of the PMA azimuth 
         and elevation rotation axes.

   During normal surface operations the MER-1_PMA_HEAD frame
   orientation with respect to the PMA base frame is varying and
   controlled using azimuth and elevation angles. Therefore, this frame
   is defined as a CK frame and the frame's orientation with respect to
   the MER-1_PMA_ZERO_EL frame is provided in the CK files.

   Ideally, for zero azimuth and elevation position this frame is
   coincident in orientation with the PMA rover frame.
   
   \begindata

      FRAME_MER-1_PMA_HEAD             = -253110
      FRAME_-253110_NAME               = 'MER-1_PMA_HEAD'
      FRAME_-253110_CLASS              = 3
      FRAME_-253110_CLASS_ID           = -253110
      FRAME_-253110_CENTER             = -253
      CK_-253110_SCLK                  = -253
      CK_-253110_SPK                   = -253110

   \begintext


MER-1 PANCAM and NAVCAM Frames
------------------------------

   The frame for each of the two MER-1 NAVCAM cameras -- LEFT and
   RIGHT, -- and the 16 PANCAM camera/filter combinations is defined
   as follows:

      -- +Z axis is along the camera's central pixel view direction 
         ("into image");

      -- +Y axis is along the image central column and points from the
         image center toward the image top row ("up");

      -- +X completes the right hand frame and is along the image central
         row and points from the image center toward the image left 
         column ("left");

      -- the origin of the frame is located at the camera focal point.

   Since both NAVCAM and PANCAM cameras are rigidly mounted on the PMA
   head, their frames are defined as fixed offset frames with
   orientation given with respect to the PMA head frame.

   This diagram illustrates PMA base, head, and instrument frames (zero 
   AZ/EL position):

      PMA side view:
      --------------

                                       Ynavcam(l,r) 
                                        Ypancam(l,r)
                                       ^^
                                       ||          
                                   .-. ||
                                   | |-||       Znavcam(l,r)
                                   | | xx----->> Zpancam(l,r)
                           Yminites|^|--'
                                  .-|-.    
                                .'  |  `.  <--- Elevation Drive
                     Zminites  /    |    \
                             <------o------> 
                               \    |    /  Xpma_head
                                `.  |  .'
                                  |-| Zpma_head
                  PMA Head      .___V___.
                   ............ |...o------> 
               Mounting Plane   `---|---'   Xpma_base
                                  | | |
                                  | | |
                                  | V Zpma_base
                ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
                ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
                               .----|----. 
                               |    | <--- Azimuth Drive & Rotation Axis
                               .----|----'
                                  |   .'\ 
                                  | .'.' 
                                  .'.' |
                                 \.'   |
                -------------------------------.
                -------------------------------'
                                         |
                ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
                ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
                         Yr              |
                 o------>      ----------'
                 |       Xr
                 |
                 |                             Yr, Ypma_base, Ypma_head,
                 V Zr                          Xminites are out of page

                                              Xnavcam(l,r), Xpancam(l,r)
                                                    are into page.


      PMA top view:
      -------------
                                    |
                                    | <--- Elevation rotation axis
                                    |

                                        ^ Xpancam(l)
                               .________|.
                               |   ._.  ||Xnavcam(l)
                               |   | |_^||
                               |   | | |o------> Zpancam(l)
                               |   | |-|'|
                               |   | |-| |
                               |   | | o------> Znavcam(l)
           Zr       Xr         |   | |-' |
              x------>    Zpma_head  |   |
              |           Zpma_base  |   |
              |                |   |x------>Xpma_head
              |                |   |||   |  Xpma_base
           Yr v                |   |||   |                 
                          Ypma_head ||   |  
                          Ypma_base V| ^ Xnavcam(r)  
                              .----| | | |
                              |    | | | |Xpancam(r)
                     Zminites  <----o|_|^|
                              |    ||| o|-----> Znavcam(r)
                              `----|||-'||
                               |   |||--||
                               |   |V|  o------> Zpancam(r)
                           Xminites| |--'|
                               |   ._.   |
                               .___._.___.

                                               Zr, Zpma_base, Zpma_head,
                                                 are into page.

                                              Ynavcam(l,r), Ypancam(l,r)
                                              and Yminites are out of page.


   Nominal PMA camera orientations are such that NAVCAM left and right
   boresights are parallel to each other and the PMA head +X axis,
   while the PANCAM left and right boresights "toe"ed in by 1 degree
   toward the PMA head +X axis. In order align PMA head frame with the
   camera frames in this nominal orientation, it has to be rotated by
   +90 degrees about Y and then about X by non-zero "toe"-ins for the
   PANCAM (-1 degree for the left camera and +1 degree for the right
   camera) and by zero "toe"-ins for NAVCAM, and finally by -90 degrees
   about Z (to line up Y axis with the vertical direction.) The
   following sets of keywords should be included into the frame
   definitions to provide this nominal orientation (provided for
   reference only):

      TKFRAME_-253111_AXES             = (   2,       1,       3     )
      TKFRAME_-253111_ANGLES           = ( -90.000,   0.000,  90.000 )

      TKFRAME_-253112_AXES             = (   2,       1,       3     )
      TKFRAME_-253112_ANGLES           = ( -90.000,   0.000,  90.000 )

      TKFRAME_-253121_AXES             = (   2,       1,       3     )
      TKFRAME_-253121_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253122_AXES             = (   2,       1,       3     )
      TKFRAME_-253122_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253123_AXES             = (   2,       1,       3     )
      TKFRAME_-253123_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253124_AXES             = (   2,       1,       3     )
      TKFRAME_-253124_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253125_AXES             = (   2,       1,       3     )
      TKFRAME_-253125_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253126_AXES             = (   2,       1,       3     )
      TKFRAME_-253126_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253127_AXES             = (   2,       1,       3     )
      TKFRAME_-253127_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253128_AXES             = (   2,       1,       3     )
      TKFRAME_-253128_ANGLES           = ( -90.000,   1.000,  90.000 )

      TKFRAME_-253131_AXES             = (   2,       1,       3     )
      TKFRAME_-253131_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253132_AXES             = (   2,       1,       3     )
      TKFRAME_-253132_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253133_AXES             = (   2,       1,       3     )
      TKFRAME_-253133_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253134_AXES             = (   2,       1,       3     )
      TKFRAME_-253134_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253135_AXES             = (   2,       1,       3     )
      TKFRAME_-253135_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253136_AXES             = (   2,       1,       3     )
      TKFRAME_-253136_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253137_AXES             = (   2,       1,       3     )
      TKFRAME_-253137_ANGLES           = ( -90.000,  -1.000,  90.000 )

      TKFRAME_-253138_AXES             = (   2,       1,       3     )
      TKFRAME_-253138_ANGLES           = ( -90.000,  -1.000,  90.000 )


   The actual MER-1_NAVCAM_LEFT frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_165_SN_23.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_NAVCAM_LEFT, by the following sequence of rotations: first
   by 90.05746771 degrees about Y, then by -0.06852575 degrees about X, and
   finally by -90.11137284 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_NAVCAM_LEFT          = -253111
      FRAME_-253111_NAME               = 'MER-1_NAVCAM_LEFT'
      FRAME_-253111_CLASS              = 4
      FRAME_-253111_CLASS_ID           = -253111
      FRAME_-253111_CENTER             = -253
      TKFRAME_-253111_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253111_SPEC             = 'ANGLES'
      TKFRAME_-253111_UNITS            = 'DEGREES'
      TKFRAME_-253111_AXES             = (    2,        1,        3     )
      TKFRAME_-253111_ANGLES           = (  -90.057,    0.069,   90.111 )

   \begintext


   The actual MER-1_NAVCAM_RIGHT frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_166_SN_20.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_NAVCAM_RIGHT, by the following sequence of rotations: first
   by 90.20723938 degrees about Y, then by 0.04268537 degrees about X, and
   finally by -89.94228016 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_NAVCAM_RIGHT         = -253112
      FRAME_-253112_NAME               = 'MER-1_NAVCAM_RIGHT'
      FRAME_-253112_CLASS              = 4
      FRAME_-253112_CLASS_ID           = -253112
      FRAME_-253112_CENTER             = -253
      TKFRAME_-253112_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253112_SPEC             = 'ANGLES'
      TKFRAME_-253112_UNITS            = 'DEGREES'
      TKFRAME_-253112_AXES             = (    2,        1,        3     )
      TKFRAME_-253112_ANGLES           = (  -90.207,   -0.043,   89.942 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F1 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_150_SN_30_F_1.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F1, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F1       = -253121
      FRAME_-253121_NAME               = 'MER-1_PANCAM_LEFT_F1'
      FRAME_-253121_CLASS              = 4
      FRAME_-253121_CLASS_ID           = -253121
      FRAME_-253121_CENTER             = -253
      TKFRAME_-253121_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253121_SPEC             = 'ANGLES'
      TKFRAME_-253121_UNITS            = 'DEGREES'
      TKFRAME_-253121_AXES             = (    2,        1,        3     )
      TKFRAME_-253121_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F2 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_151_SN_30_F_2.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F2, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F2       = -253122
      FRAME_-253122_NAME               = 'MER-1_PANCAM_LEFT_F2'
      FRAME_-253122_CLASS              = 4
      FRAME_-253122_CLASS_ID           = -253122
      FRAME_-253122_CENTER             = -253
      TKFRAME_-253122_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253122_SPEC             = 'ANGLES'
      TKFRAME_-253122_UNITS            = 'DEGREES'
      TKFRAME_-253122_AXES             = (    2,        1,        3     )
      TKFRAME_-253122_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F3 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_170_SN_30_F_3.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F3, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F3       = -253123
      FRAME_-253123_NAME               = 'MER-1_PANCAM_LEFT_F3'
      FRAME_-253123_CLASS              = 4
      FRAME_-253123_CLASS_ID           = -253123
      FRAME_-253123_CENTER             = -253
      TKFRAME_-253123_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253123_SPEC             = 'ANGLES'
      TKFRAME_-253123_UNITS            = 'DEGREES'
      TKFRAME_-253123_AXES             = (    2,        1,        3     )
      TKFRAME_-253123_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F4 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_152_SN_30_F_4.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F4, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F4       = -253124
      FRAME_-253124_NAME               = 'MER-1_PANCAM_LEFT_F4'
      FRAME_-253124_CLASS              = 4
      FRAME_-253124_CLASS_ID           = -253124
      FRAME_-253124_CENTER             = -253
      TKFRAME_-253124_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253124_SPEC             = 'ANGLES'
      TKFRAME_-253124_UNITS            = 'DEGREES'
      TKFRAME_-253124_AXES             = (    2,        1,        3     )
      TKFRAME_-253124_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F5 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_153_SN_30_F_5.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F5, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F5       = -253125
      FRAME_-253125_NAME               = 'MER-1_PANCAM_LEFT_F5'
      FRAME_-253125_CLASS              = 4
      FRAME_-253125_CLASS_ID           = -253125
      FRAME_-253125_CENTER             = -253
      TKFRAME_-253125_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253125_SPEC             = 'ANGLES'
      TKFRAME_-253125_UNITS            = 'DEGREES'
      TKFRAME_-253125_AXES             = (    2,        1,        3     )
      TKFRAME_-253125_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F6 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_154_SN_30_F_6.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F6, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F6       = -253126
      FRAME_-253126_NAME               = 'MER-1_PANCAM_LEFT_F6'
      FRAME_-253126_CLASS              = 4
      FRAME_-253126_CLASS_ID           = -253126
      FRAME_-253126_CENTER             = -253
      TKFRAME_-253126_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253126_SPEC             = 'ANGLES'
      TKFRAME_-253126_UNITS            = 'DEGREES'
      TKFRAME_-253126_AXES             = (    2,        1,        3     )
      TKFRAME_-253126_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F7 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_155_SN_30_F_7.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F7, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F7       = -253127
      FRAME_-253127_NAME               = 'MER-1_PANCAM_LEFT_F7'
      FRAME_-253127_CLASS              = 4
      FRAME_-253127_CLASS_ID           = -253127
      FRAME_-253127_CENTER             = -253
      TKFRAME_-253127_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253127_SPEC             = 'ANGLES'
      TKFRAME_-253127_UNITS            = 'DEGREES'
      TKFRAME_-253127_AXES             = (    2,        1,        3     )
      TKFRAME_-253127_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_LEFT_F8 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_156_SN_30_F_8.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_LEFT_F8, by the following sequence of rotations: first
   by 90.03380860 degrees about Y, then by -0.89012587 degrees about X, and
   finally by -89.97039536 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_LEFT_F8       = -253128
      FRAME_-253128_NAME               = 'MER-1_PANCAM_LEFT_F8'
      FRAME_-253128_CLASS              = 4
      FRAME_-253128_CLASS_ID           = -253128
      FRAME_-253128_CENTER             = -253
      TKFRAME_-253128_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253128_SPEC             = 'ANGLES'
      TKFRAME_-253128_UNITS            = 'DEGREES'
      TKFRAME_-253128_AXES             = (    2,        1,        3     )
      TKFRAME_-253128_ANGLES           = (  -90.034,    0.890,   89.970 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F1 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_157_SN_22_F_1.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F1, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F1      = -253131
      FRAME_-253131_NAME               = 'MER-1_PANCAM_RIGHT_F1'
      FRAME_-253131_CLASS              = 4
      FRAME_-253131_CLASS_ID           = -253131
      FRAME_-253131_CENTER             = -253
      TKFRAME_-253131_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253131_SPEC             = 'ANGLES'
      TKFRAME_-253131_UNITS            = 'DEGREES'
      TKFRAME_-253131_AXES             = (    2,        1,        3     )
      TKFRAME_-253131_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F2 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_158_SN_22_F_2.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F2, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F2      = -253132
      FRAME_-253132_NAME               = 'MER-1_PANCAM_RIGHT_F2'
      FRAME_-253132_CLASS              = 4
      FRAME_-253132_CLASS_ID           = -253132
      FRAME_-253132_CENTER             = -253
      TKFRAME_-253132_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253132_SPEC             = 'ANGLES'
      TKFRAME_-253132_UNITS            = 'DEGREES'
      TKFRAME_-253132_AXES             = (    2,        1,        3     )
      TKFRAME_-253132_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F3 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_159_SN_22_F_3.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F3, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F3      = -253133
      FRAME_-253133_NAME               = 'MER-1_PANCAM_RIGHT_F3'
      FRAME_-253133_CLASS              = 4
      FRAME_-253133_CLASS_ID           = -253133
      FRAME_-253133_CENTER             = -253
      TKFRAME_-253133_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253133_SPEC             = 'ANGLES'
      TKFRAME_-253133_UNITS            = 'DEGREES'
      TKFRAME_-253133_AXES             = (    2,        1,        3     )
      TKFRAME_-253133_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F4 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_160_SN_22_F_4.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F4, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F4      = -253134
      FRAME_-253134_NAME               = 'MER-1_PANCAM_RIGHT_F4'
      FRAME_-253134_CLASS              = 4
      FRAME_-253134_CLASS_ID           = -253134
      FRAME_-253134_CENTER             = -253
      TKFRAME_-253134_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253134_SPEC             = 'ANGLES'
      TKFRAME_-253134_UNITS            = 'DEGREES'
      TKFRAME_-253134_AXES             = (    2,        1,        3     )
      TKFRAME_-253134_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F5 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_161_SN_22_F_5.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F5, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F5      = -253135
      FRAME_-253135_NAME               = 'MER-1_PANCAM_RIGHT_F5'
      FRAME_-253135_CLASS              = 4
      FRAME_-253135_CLASS_ID           = -253135
      FRAME_-253135_CENTER             = -253
      TKFRAME_-253135_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253135_SPEC             = 'ANGLES'
      TKFRAME_-253135_UNITS            = 'DEGREES'
      TKFRAME_-253135_AXES             = (    2,        1,        3     )
      TKFRAME_-253135_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F6 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_162_SN_22_F_6.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F6, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F6      = -253136
      FRAME_-253136_NAME               = 'MER-1_PANCAM_RIGHT_F6'
      FRAME_-253136_CLASS              = 4
      FRAME_-253136_CLASS_ID           = -253136
      FRAME_-253136_CENTER             = -253
      TKFRAME_-253136_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253136_SPEC             = 'ANGLES'
      TKFRAME_-253136_UNITS            = 'DEGREES'
      TKFRAME_-253136_AXES             = (    2,        1,        3     )
      TKFRAME_-253136_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F7 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_163_SN_22_F_7.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F7, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F7      = -253137
      FRAME_-253137_NAME               = 'MER-1_PANCAM_RIGHT_F7'
      FRAME_-253137_CLASS              = 4
      FRAME_-253137_CLASS_ID           = -253137
      FRAME_-253137_CENTER             = -253
      TKFRAME_-253137_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253137_SPEC             = 'ANGLES'
      TKFRAME_-253137_UNITS            = 'DEGREES'
      TKFRAME_-253137_AXES             = (    2,        1,        3     )
      TKFRAME_-253137_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


   The actual MER-1_PANCAM_RIGHT_F8 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_164_SN_22_F_8.cahvor'. According to this model the reference frame,
   MER-1_PMA_HEAD, can be transformed into the camera frame,
   MER-1_PANCAM_RIGHT_F8, by the following sequence of rotations: first
   by 90.08338073 degrees about Y, then by 1.09917228 degrees about X, and
   finally by -89.93210597 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_PANCAM_RIGHT_F8      = -253138
      FRAME_-253138_NAME               = 'MER-1_PANCAM_RIGHT_F8'
      FRAME_-253138_CLASS              = 4
      FRAME_-253138_CLASS_ID           = -253138
      FRAME_-253138_CENTER             = -253
      TKFRAME_-253138_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253138_SPEC             = 'ANGLES'
      TKFRAME_-253138_UNITS            = 'DEGREES'
      TKFRAME_-253138_AXES             = (    2,        1,        3     )
      TKFRAME_-253138_ANGLES           = (  -90.083,   -1.099,   89.932 )

   \begintext


MER-1 MINI-TES Frame
--------------------

   The frame for Mini-TES is defined as follows:

      -- +Z axis is along the instrument boresight defined as the central 
         pixel view direction ("into image");

      -- +Y axis is along the image central column and points from the
         image center toward the image top row ("up");

      -- +X completes the right hand frame and is along the image central
         row and points from the image center toward the image left 
         column ("left");

      -- the origin of the frame is located at the instrument's focal point.

   Since Mini-TES is rigidly mounted on the PMA head, its frame is
   defined as fixed offset frame with orientation given with respect to
   the PMA head frame.

   Actual Mini-TEST frame orientation will be derived from the final
   instrument geometric model as soon as such becomes available. Until
   then the frame orientation provided below is set in accordance with
   the nominal design -- Mini-TES boresight parallel to the PMA head -X
   axis. In order align PMA head frame with the Mini-TES frame in this
   nominal orientation, it has to be rotated by -90 degrees about Y and
   then by +90 degrees about +Z.

   \begindata

      FRAME_MER-1_MINITES             = -253140
      FRAME_-253140_NAME               = 'MER-1_MINITES'
      FRAME_-253140_CLASS              = 4
      FRAME_-253140_CLASS_ID           = -253140
      FRAME_-253140_CENTER             = -253
      TKFRAME_-253140_RELATIVE         = 'MER-1_PMA_HEAD'
      TKFRAME_-253140_SPEC             = 'ANGLES'
      TKFRAME_-253140_UNITS            = 'DEGREES'
      TKFRAME_-253140_AXES             = (   2,       1,       3     )
      TKFRAME_-253140_ANGLES           = (  90.000,   0.000, -90.000 )

   \begintext


MER-1 IDD Structures and IDD-Mounted Instrument Frames
========================================================================


MER-1 IDD Structures Frames
---------------------------

   MER-1 IDD base frame, MER-1_IDD_BASE, called in [5] IDD_MNT frame,
   is defined to be coincident in orientation with the rover frame. The
   origin of this frame is at center of the registration pin in the IDD
   mounting plate.

   THIS FRAME, MER-1_IDD_BASE, IS OBSOLETE BECAUSE IT ENDED UP NO BEING
   USED FOR ANYTHING. IT IS KEEP IN THE FK FOR MAINTENANCE REASONS.

   Since this frame is fixed with respect to and coincident with the rover 
   it's defined as zero offset frame with respect to the rover frame.
   
   \begindata

      FRAME_MER-1_IDD_BASE             = -253200
      FRAME_-253200_NAME               = 'MER-1_IDD_BASE'
      FRAME_-253200_CLASS              = 4
      FRAME_-253200_CLASS_ID           = -253200
      FRAME_-253200_CENTER             = -253
      TKFRAME_-253200_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253200_SPEC             = 'ANGLES'
      TKFRAME_-253200_UNITS            = 'DEGREES'
      TKFRAME_-253200_AXES             = (   1,       2,       3     )
      TKFRAME_-253200_ANGLES           = (   0.000,   0.000,   0.000 )


   \begintext

   All MER-1 IDD joint frames -- SHOULDER_AZ, SHOULDER_EL, ELBOW,
   WRIST, and TURRET, enumerated in [5] as IDD0...IDD4 frames -- are
   defined in accordance with normal kinematics convention as follows:

      -- +Z axis is along the joint rotation axis, nominally pointing
         along rover +Z for SHOULDER_AZ, along rover -Y (for IDD in 
         straight out position) for SHOULDER_EL, ELBOW, and WRIST, and
         along wrist +Y for TURRET;

      -- +X axis is along the link attached to the joint;

      -- +Y completes the right hand frame;

      -- the origin lies on the rotation axis at a point that provides for 
         the minimum magnitude of translations between the joints
         (see diagram above).

   This diagram illustrates IDD base and joint frames in "zero joint
   rotation" position:


      IDD side view:
      -------------

              Shoulder/Az                                Turret
                 axis                                     axis

                   |                                        |
                   .                                        .
                   |                                        |

              ////////                               APXS .___. RAT 
             //Rover//                                    |   |     
             /////////   Xsh_az                           | o------>
              /////o------>                               ._|_.  Xtr
                 | | | .-.               .-.               .|.      
                 | | || x------> =======| x------> =======| x------>
            Zsh_az_|_. `|   Xsh_el       `|'    Xelb    Ztr`V'   Xwr
                   V    |                 |                 |       
                        |                 |                 |
         o------>       V Ysh_el          V Yelb            V Ywr
         |     Xr 
         |
         |
         V                          Yr, Ybase, Ysh_az, Ytr are out of page;
          Zr                             Zsh_el, Zelb, Zwr are into page.


      IDD top view:
      ------------

                    Shoulder/El         Elbow             Wrist
                       axis             axis              axis

                        |                 |                 |
                        .                 .                 .
                        |                 |                 |
                        
               //////    Zsh_el            Zelb              Zwr
             ////////   ^                 ^                 ^
             /Rover// ._|_.             ._|_.               |
             //////// | | |-------------| | |               |       
             /////.-. | | |-------------| | |  Xelb       ._|_.  Xwr
             ////| x----x->---->        | x------> -------| x------>
             /////`|' Xsh_az  Xsh_el    ._|_.-------------|   |     
             //////|/                                     | MI|     
             //////|/                                     |.-.|  Xtr
              /////V/ Ysh_az                         APXS | x--RAT->
                /////                                      `|'      
                                                           MSB      
                                                            |
         x------> Xr                                        V Ytr
         |
         |
         |                                    Zr, Zbase, Zsh_az, Ysh_el, 
         V Yr                                 Yelb, Ywr, and Ztr are all
                                                      into the page
                                

   During normal surface operations the orientation of each of these
   frames with respect to each other varies and is controlled and 
   telemetered using IDD joint angles. Therefore, these frame are
   defined as a CK frames with the orientation for each frame provided
   with respect to its parent in the frame chain.

   \begindata

      FRAME_MER-1_IDD_SHOULDER_AZ      = -253201
      FRAME_-253201_NAME               = 'MER-1_IDD_SHOULDER_AZ'
      FRAME_-253201_CLASS              = 3
      FRAME_-253201_CLASS_ID           = -253201
      FRAME_-253201_CENTER             = -253
      CK_-253201_SCLK                  = -253
      CK_-253201_SPK                   = -253201

      FRAME_MER-1_IDD_SHOULDER_EL      = -253202
      FRAME_-253202_NAME               = 'MER-1_IDD_SHOULDER_EL'
      FRAME_-253202_CLASS              = 3
      FRAME_-253202_CLASS_ID           = -253202
      FRAME_-253202_CENTER             = -253
      CK_-253202_SCLK                  = -253
      CK_-253202_SPK                   = -253202

      FRAME_MER-1_IDD_ELBOW            = -253203
      FRAME_-253203_NAME               = 'MER-1_IDD_ELBOW'
      FRAME_-253203_CLASS              = 3
      FRAME_-253203_CLASS_ID           = -253203
      FRAME_-253203_CENTER             = -253
      CK_-253203_SCLK                  = -253
      CK_-253203_SPK                   = -253203

      FRAME_MER-1_IDD_WRIST            = -253204
      FRAME_-253204_NAME               = 'MER-1_IDD_WRIST'
      FRAME_-253204_CLASS              = 3
      FRAME_-253204_CLASS_ID           = -253204
      FRAME_-253204_CENTER             = -253
      CK_-253204_SCLK                  = -253
      CK_-253204_SPK                   = -253204

      FRAME_MER-1_IDD_TURRET           = -253205
      FRAME_-253205_NAME               = 'MER-1_IDD_TURRET'
      FRAME_-253205_CLASS              = 3
      FRAME_-253205_CLASS_ID           = -253205
      FRAME_-253205_CENTER             = -253
      CK_-253205_SCLK                  = -253
      CK_-253205_SPK                   = -253205

   \begintext


MER-1 IDD Instrument Frames
---------------------------

   MER-1 TURRET HEAD frame, enumerated as IDD5 in [5], is defined as
   follows:

      -- +Z axis is along the nominal Micro-Imager boresight;

      -- +Y axis is along the turret rotation axis;

      -- +X axis completes the right frame;

      -- the origin is at the intersection of the nominal turret rotation 
         axis and Micro-Imager boresight;

   This frame is fixed with respect to the MER-1_IDD_TURRET frame and is 
   nominally rotated from it by +90 degrees about +X axis.

   \begindata

      FRAME_MER-1_IDD_TURRET_HEAD      = -253206
      FRAME_-253206_NAME               = 'MER-1_IDD_TURRET_HEAD'
      FRAME_-253206_CLASS              = 4
      FRAME_-253206_CLASS_ID           = -253206
      FRAME_-253206_CENTER             = -253
      TKFRAME_-253206_RELATIVE         = 'MER-1_IDD_TURRET'
      TKFRAME_-253206_SPEC             = 'ANGLES'
      TKFRAME_-253206_UNITS            = 'DEGREES'
      TKFRAME_-253206_AXES             = (   1,       2,       3     )
      TKFRAME_-253206_ANGLES           = ( -90.000,   0.000,   0.000 )

   \begintext

   MER-1 IDD instrument frames -- MICROIMAGER_F1 (closed cover),
   MICROIMAGER_F1 (open cover), APXS, RAT, and MOSSBAUER -- are fixed
   with respect to the TURRET_HEAD frame and are nominally rotated from
   it about Y axis by the following angles (from [5]):
 
       Instrument     Angle, deg
      -------------   ----------
      MICROIMAGER         0.0
      RAT                90.0
      MOSSBAUER         180.0
      APXS              270.0

   The actual calibrated values of these angles from [6] are:

       Instrument      Angle, rad
      -------------   -----------
      MICROIMAGER         0.0000 
      RAT                 1.5708
      MOSSBAUER           3.3161
      APXS                4.7124

   This diagram illustrates IDD head and instrument frames (looking in the 
   direction of Ztr axis):

                                                     Ztr, Ytrh, Ymi, Yrat
                                                     Ymsb, Yapxs are all 
                                    ^ Zmi                into page.
                                    |
                                    |
                        MicroImager |
                                   .x------>Xmi
               Xapxs              '___` 
                    ^             | ^ Ztrh 
                    |________.    .-|-. 
                    |        |==.'  |  `.       --. RAT
         Zapxs      |        | /    |    \-----'  |
             <------x        | |    x------>   |  |>x------> Zrat
                    |        | \    |    Xtr  -.  | |
                    .________.==`.  |  . Xtrh   --' |
                APXS              `-|-'             |
                                  | V Ytr           V Xrat
                                  |    
                                  |   |
                                  |   | MOSSBAUER
                             <------x-'
                           Xmbs     |
                                    |
                                    |
                                    V Zmsb


   All these frames are defined as fixed offset frames with respect to 
   TURRET_HEAD frame with offsets corresponding to the table below. The
   following sets of keywords should be included into the frame
   definitions to provide this nominal orientation (provided for
   reference only):

      TKFRAME_-253230_AXES             = (   1,      2,       3     )
      TKFRAME_-253230_ANGLES           = (   0.000, -1.5708,  0.000 )

      TKFRAME_-253240_AXES             = (   1,      2,       3     )
      TKFRAME_-253240_ANGLES           = (   0.000, -3.3161,  0.000 )

      TKFRAME_-253210_AXES             = (   1,      2,       3     )
      TKFRAME_-253210_ANGLES           = (   0.000, -4.7124,  0.000 )

      TKFRAME_-253221_AXES             = (   1,      2,       3     )
      TKFRAME_-253221_ANGLES           = (   0.000,  0.0000,  0.000 )

      TKFRAME_-253222_AXES             = (   1,      2,       3     )
      TKFRAME_-253222_ANGLES           = (   0.000,  0.0000,  0.000 )

   \begindata

      FRAME_MER-1_RAT                  = -253230
      FRAME_-253230_NAME               = 'MER-1_RAT'
      FRAME_-253230_CLASS              = 4
      FRAME_-253230_CLASS_ID           = -253230
      FRAME_-253230_CENTER             = -253
      TKFRAME_-253230_RELATIVE         = 'MER-1_IDD_TURRET_HEAD'
      TKFRAME_-253230_SPEC             = 'ANGLES'
      TKFRAME_-253230_UNITS            = 'RADIANS'
      TKFRAME_-253230_AXES             = (   1,      2,       3     )
      TKFRAME_-253230_ANGLES           = (   0.000, -1.5708,  0.000 )

      FRAME_MER-1_MOSSBAUER            = -253240
      FRAME_-253240_NAME               = 'MER-1_MOSSBAUER'
      FRAME_-253240_CLASS              = 4
      FRAME_-253240_CLASS_ID           = -253240
      FRAME_-253240_CENTER             = -253
      TKFRAME_-253240_RELATIVE         = 'MER-1_IDD_TURRET_HEAD'
      TKFRAME_-253240_SPEC             = 'ANGLES'
      TKFRAME_-253240_UNITS            = 'RADIANS'
      TKFRAME_-253240_AXES             = (   1,      2,       3     )
      TKFRAME_-253240_ANGLES           = (   0.000, -3.3161,  0.000 )

      FRAME_MER-1_APXS                 = -253210
      FRAME_-253210_NAME               = 'MER-1_APXS'
      FRAME_-253210_CLASS              = 4
      FRAME_-253210_CLASS_ID           = -253210
      FRAME_-253210_CENTER             = -253
      TKFRAME_-253210_RELATIVE         = 'MER-1_IDD_TURRET_HEAD'
      TKFRAME_-253210_SPEC             = 'ANGLES'
      TKFRAME_-253210_UNITS            = 'RADIANS'
      TKFRAME_-253210_AXES             = (   1,      2,       3     )
      TKFRAME_-253210_ANGLES           = (   0.000, -4.7124,  0.000 )

   \begintext


   The actual MER-1_MICROIMAGER_F1 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_192_SN_24_F_1.cahvor'. According to this model the reference frame,
   MER-1_IDD_TURRET_HEAD, can be transformed into the camera frame,
   MER-1_MICROIMAGER_F1, by the following sequence of rotations: first
   by -1.14738761 degrees about Y, then by -0.87877973 degrees about X, and
   finally by -0.87259631 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_MICROIMAGER_F1       = -253221
      FRAME_-253221_NAME               = 'MER-1_MICROIMAGER_F1'
      FRAME_-253221_CLASS              = 4
      FRAME_-253221_CLASS_ID           = -253221
      FRAME_-253221_CENTER             = -253
      TKFRAME_-253221_RELATIVE         = 'MER-1_IDD_TURRET_HEAD'
      TKFRAME_-253221_SPEC             = 'ANGLES'
      TKFRAME_-253221_UNITS            = 'DEGREES'
      TKFRAME_-253221_AXES             = (    2,        1,        3     )
      TKFRAME_-253221_ANGLES           = (    1.147,    0.879,    0.873 )

   \begintext


   The actual MER-1_MICROIMAGER_F2 frame orientation provided in the frame
   definition below was computed using the CAHVOR(E) camera model file,
   'MER_CAL_193_SN_24_F_2.cahvor'. According to this model the reference frame,
   MER-1_IDD_TURRET_HEAD, can be transformed into the camera frame,
   MER-1_MICROIMAGER_F2, by the following sequence of rotations: first
   by -1.12820063 degrees about Y, then by -0.92192861 degrees about X, and
   finally by -0.86348976 degrees about Z.

   The frame definition below contains the opposite of this
   transformation because Euler angles specified in it define
   rotations from the "destination" frame to the "reference" frame.

   \begindata

      FRAME_MER-1_MICROIMAGER_F2       = -253222
      FRAME_-253222_NAME               = 'MER-1_MICROIMAGER_F2'
      FRAME_-253222_CLASS              = 4
      FRAME_-253222_CLASS_ID           = -253222
      FRAME_-253222_CENTER             = -253
      TKFRAME_-253222_RELATIVE         = 'MER-1_IDD_TURRET_HEAD'
      TKFRAME_-253222_SPEC             = 'ANGLES'
      TKFRAME_-253222_UNITS            = 'DEGREES'
      TKFRAME_-253222_AXES             = (    2,        1,        3     )
      TKFRAME_-253222_ANGLES           = (    1.128,    0.922,    0.863 )

   \begintext


MER-1 HGA Frames
========================================================================


MER-1 Cruise Antenna Frames
---------------------------

   MER-1 uses three antennas in cruise and EDL -- MGA, Cruise LGA
   (CLGA), and Backshell LGA (BLGA).

   The frame for each of the three antennas is defined as follows:

      *  +Z axis is the antenna boresight direction;

      *  +X axis is the antenna pattern clock angle reference axis;

      *  +Y axis completes the right hand frame;

      *  the origin of this frame is at the center of the antenna plate.

   For all of the antennas, the boresight is cruise or rover -Z, and
   the clock angle reference axis is arbitrary.

   Only one rotation is needed because the clock angle reference axis
   is arbitrary.  A rotation of 180 degrees (or -180 degrees - same
   thing) about the +X axis will co-align the rover frame with the
   antenna frame. This keeps the rover +X axis as the clock reference
   axis. The frame definitions below (which express the same rotation
   for all antennas) implement this orientation.
                                    
   \begindata

      FRAME_MER-1_MGA                  = -253500
      FRAME_-253500_NAME               = 'MER-1_MGA'
      FRAME_-253500_CLASS              = 4
      FRAME_-253500_CLASS_ID           = -253500
      FRAME_-253500_CENTER             = -253
      TKFRAME_-253500_SPEC             = 'ANGLES'
      TKFRAME_-253500_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253500_AXES             = (   1,       2,       3     )
      TKFRAME_-253500_ANGLES           = ( 180.000,   0.000,   0.000 )  
      TKFRAME_-253500_UNITS            = 'DEGREES'

      FRAME_MER-1_CLGA                 = -253510
      FRAME_-253510_NAME               = 'MER-1_CLGA'
      FRAME_-253510_CLASS              = 4
      FRAME_-253510_CLASS_ID           = -253510
      FRAME_-253510_CENTER             = -253
      TKFRAME_-253510_SPEC             = 'ANGLES'
      TKFRAME_-253510_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253510_AXES             = (   1,       2,       3     )
      TKFRAME_-253510_ANGLES           = ( 180.000,   0.000,   0.000 )  
      TKFRAME_-253510_UNITS            = 'DEGREES'

      FRAME_MER-1_BLGA                 = -253520
      FRAME_-253520_NAME               = 'MER-1_BLGA'
      FRAME_-253520_CLASS              = 4
      FRAME_-253520_CLASS_ID           = -253520
      FRAME_-253520_CENTER             = -253
      TKFRAME_-253520_SPEC             = 'ANGLES'
      TKFRAME_-253520_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253520_AXES             = (   1,       2,       3     )
      TKFRAME_-253520_ANGLES           = ( 180.000,   0.000,   0.000 )  
      TKFRAME_-253520_UNITS            = 'DEGREES'

   \begintext


MER-1 UHF Antenna Frame
-----------------------

   MER-1 UHF antenna frame, MER-1_UHF, is defined as follows:

      -- +Z axis is along the antenna boresight, nominally coincident with 
         the rover -Z axis;

      -- +X axis is along the antenna pattern reference axis, nominally 
         coincident with the rover +X axis;

      -- +Y completes the right hand frame;

      -- the origin of this frame is at the geometric center of the antenna
         top surface.

   This diagram illustrates UHF frame:


                                  ^ Zuhf
                                  |
                                  |     /\ PMA
                         HGA      |     \/ 
                          .--.    x------> Xuhf
                         /    \   #Yuhf ||
                        |      |  #     ||
                         \    /=. #     ||
                          `--' || #     ||
                       =======================          
                             |    =o=.    |
                             |  .' Yr `.__|o====o
                           .===o=== o------> Xr \\     
                          .-.      .|.    `.-.  ##o###
                         | o |    | | |   | o |        IDD
                          `-'      `|'     `-'
                                    V Zr


   Since UHF antenna is rigidly mounted on the rover body, its frame is
   defined as fixed offset frame with its orientation given with
   respect to the rover frame.

   Nominally a single rotation of 180 degrees about X is needed to
   align the rover frame with the UHF frame.

   \begindata

      FRAME_MER-1_UHF                  = -253030
      FRAME_-253030_NAME               = 'MER-1_UHF'
      FRAME_-253030_CLASS              = 4
      FRAME_-253030_CLASS_ID           = -253030
      FRAME_-253030_CENTER             = -253
      TKFRAME_-253030_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253030_SPEC             = 'ANGLES'
      TKFRAME_-253030_UNITS            = 'DEGREES'
      TKFRAME_-253030_AXES             = (   3,       2,       1     )
      TKFRAME_-253030_ANGLES           = (   0.000,   0.000, 180.000 )

   \begintext


MER-1 HGA Frames
----------------

   MER-1 HGA base frame is defined as follows:

      -- +Z axis is nominally parallel to the HGA azimuth gimbal rotation
         axis, perpendicular to the rover deck and points "up" (i.e.
         coincident with the rover -Z axis);

      -- +X axis is in the rover deck plane is nominally rotated 30 
         degrees off the rover +X axis toward the rover +Y axis;

      -- +Y axis completes the right hand frame;

      -- the origin of this frame is located at the intersection of the azimuth
         gimbal rotation axis and the rover deck plane.

   This diagram illustrates MER-1 HGA base frame (rover top view):


                               
                   _________ ._. _________
                  /        //   \\        \
                 /        @/ Xr  \@        \
                /        //   ^   \\  Yr    \
               /        //    |    \\        \
              /      Xhgab ^  |     \\        \
             /        //  /   |      \\        \
            . `  <.  //  /    x------>\\   .-' .
           / Yhgab `-.  /   Zr      Yr \\.-' @-' \
          /     `-.   `o                \ ,-'     \
         /        //    Zhgab (out of page)        \
         \       / \_____________________/ \       /
          \     /    __@_____________@__    \     /
           \   /     \                 /     \   /
            \_/       \               /       \_/
                       \             /
                        \___________/
                                            Zr is into the page.

   This frame is fixed with respect to the rover frame, therefore it's 
   defined as a fixed offset frame.

   Nominally two rotations are needed to alight the rover frame with the
   HGA base frame: first by 180 degrees about X, then by -30 degrees
   about Z. The frame definition below implements this orientation

   \begindata

      FRAME_MER-1_HGA_BASE             = -253300
      FRAME_-253300_NAME               = 'MER-1_HGA_BASE'
      FRAME_-253300_CLASS              = 4
      FRAME_-253300_CLASS_ID           = -253300
      FRAME_-253300_CENTER             = -253
      TKFRAME_-253300_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253300_SPEC             = 'ANGLES'
      TKFRAME_-253300_UNITS            = 'DEGREES'
      TKFRAME_-253300_AXES             = (   2,       1,       3     )
      TKFRAME_-253300_ANGLES           = (   0.000, 180.000,  30.000 )

   \begintext


   MER-1 HGA frame is defined as follows:

      -- +Z axis is along the HGA boresight;

      -- +Y axis is along the HGA elevation gimbal rotation axis and point
         from the HGA dish toward the gimbal;

      -- +X completes the right hand frame;

      -- the origin of this frame is at the intersection of the HGA boresight
         elevation gimbal rotation axis.

   This diagram illustrates MER-1 HGA frame (HGA assembly back view, zero 
   gimbal position):


                    * * * * *           
                 *             *                      Azimuth
               *                 *                    rotation
              *                   *                    axis
             *                     *        -      _     |
            *                       *      | |----|  `.  |
            *     +Zhga    Xhga     *------| |    |    `.|      Elevation  
            *    (into  x------>    *  ------------------o------ rotation 
            *     page) |           *------| |    |      | `.      axis
            *           |           *      | |----|      |   |
            *           | +Yhga     *       -     .______|___.
             *          V          *                  |  |  |
              *                   *                   |    Zhgab
                *               *                     |  ^  |
                  *           *                 .------- | ---.
                    * * * * *                   |        |    |
                                                |        |    |
            ------------------------------------. <------o  --.-----------
              Rover deck                        Xhgab    Yhgab
                                                      (out of page)


   During normal surface operations the orientation of this frame with
   respect to the HGA base frame varies and is controlled and
   telemetered using HGA azimuth and elevation angles. Therefore, this
   frame is defined as a CK frame with the orientation provided with
   respect to the HGA base frame.

   \begindata

      FRAME_MER-1_HGA                  = -253310
      FRAME_-253310_NAME               = 'MER-1_HGA'
      FRAME_-253310_CLASS              = 3
      FRAME_-253310_CLASS_ID           = -253310
      FRAME_-253310_CENTER             = -253

      CK_-253310_SCLK                  = -253
      CK_-253310_SPK                   = -253310

   \begintext


MER-1 Rover LGA Frame
---------------------

   The MER-1 rover LGA is defined as follows:

      *  +Z axis is the antenna boresight direction;

      *  +X axis is the antenna pattern clock angle reference axis;

      *  +Y axis completes the right hand frame;

      *  the origin of this frame is at the center of the antenna plate.

   As for the other antennas, the boresight is rover -Z, and the clock
   angle reference axis is arbitrary.

   Only one rotation is needed because the clock angle reference axis
   is arbitrary.  A rotation of 180 degrees (or -180 degrees - same
   thing) about the +X axis will co-align the rover frame with the
   antenna frame. This keeps the rover +X axis as the clock reference
   axis. The frame definitions below (which express the same rotation
   for all antennas) implement this orientation.
                                    
   \begindata

      FRAME_MER-1_RLGA                 = -253540
      FRAME_-253540_NAME               = 'MER-1_RLGA'
      FRAME_-253540_CLASS              = 4
      FRAME_-253540_CLASS_ID           = -253540
      FRAME_-253540_CENTER             = -253
      TKFRAME_-253540_SPEC             = 'ANGLES'
      TKFRAME_-253540_RELATIVE         = 'MER-1_ROVER'
      TKFRAME_-253540_AXES             = (   1,       2,       3     )
      TKFRAME_-253540_ANGLES           = ( 180.000,   0.000,   0.000 )  
      TKFRAME_-253540_UNITS            = 'DEGREES'

   \begintext


MER-1 Mobility System Frames
========================================================================

   This diagram illustrates the MAS frames:

      <<TBD>>


MER-1 Mobility System Frames
----------------------------

   All MER-1 MAS frames are CK-based frames as their orientation changes 
   constantly as the rover moves along.

   Description of the MAS frame are <<TBD>>.

   \begindata

      FRAME_MER-1_ROCKER_LEFT          = -253410
      FRAME_-253410_NAME               = 'MER-1_ROCKER_LEFT'
      FRAME_-253410_CLASS              = 3
      FRAME_-253410_CLASS_ID           = -253410
      FRAME_-253410_CENTER             = -253
      CK_-253410_SCLK                  = -253
      CK_-253410_SPK                   = -253410

      FRAME_MER-1_BOGEY_LEFT           = -253411
      FRAME_-253411_NAME               = 'MER-1_BOGEY_LEFT'
      FRAME_-253411_CLASS              = 3
      FRAME_-253411_CLASS_ID           = -253411
      FRAME_-253411_CENTER             = -253
      CK_-253411_SCLK                  = -253
      CK_-253411_SPK                   = -253411

      FRAME_MER-1_STRUT_FRONT_LEFT     = -253412
      FRAME_-253412_NAME               = 'MER-1_STRUT_FRONT_LEFT'
      FRAME_-253412_CLASS              = 3
      FRAME_-253412_CLASS_ID           = -253412
      FRAME_-253412_CENTER             = -253
      CK_-253412_SCLK                  = -253
      CK_-253412_SPK                   = -253412

      FRAME_MER-1_STRUT_REAR_LEFT      = -253413
      FRAME_-253413_NAME               = 'MER-1_STRUT_REAR_LEFT'
      FRAME_-253413_CLASS              = 3
      FRAME_-253413_CLASS_ID           = -253413
      FRAME_-253413_CENTER             = -253
      CK_-253413_SCLK                  = -253
      CK_-253413_SPK                   = -253413

      FRAME_MER-1_ROCKER_RIGHT         = -253420
      FRAME_-253420_NAME               = 'MER-1_ROCKER_RIGHT'
      FRAME_-253420_CLASS              = 3
      FRAME_-253420_CLASS_ID           = -253420
      FRAME_-253420_CENTER             = -253
      CK_-253420_SCLK                  = -253
      CK_-253420_SPK                   = -253420

      FRAME_MER-1_BOGEY_RIGHT          = -253421
      FRAME_-253421_NAME               = 'MER-1_BOGEY_RIGHT'
      FRAME_-253421_CLASS              = 3
      FRAME_-253421_CLASS_ID           = -253421
      FRAME_-253421_CENTER             = -253
      CK_-253421_SCLK                  = -253
      CK_-253421_SPK                   = -253421

      FRAME_MER-1_STRUT_FRONT_RIGHT    = -253422
      FRAME_-253422_NAME               = 'MER-1_STRUT_FRONT_RIGHT'
      FRAME_-253422_CLASS              = 3
      FRAME_-253422_CLASS_ID           = -253422
      FRAME_-253422_CENTER             = -253
      CK_-253422_SCLK                  = -253
      CK_-253422_SPK                   = -253422

      FRAME_MER-1_STRUT_REAR_RIGHT     = -253423
      FRAME_-253423_NAME               = 'MER-1_STRUT_REAR_RIGHT'
      FRAME_-253423_CLASS              = 3
      FRAME_-253423_CLASS_ID           = -253423
      FRAME_-253423_CENTER             = -253
      CK_-253423_SCLK                  = -253
      CK_-253423_SPK                   = -253423

   \begintext


MER-1 NAIF ID Codes -- Definition Section
========================================================================

   This section contains name to NAIF ID mappings for the MER-1.


MER-1 rover and landing site names and IDs
------------------------------------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1'                    )
      NAIF_BODY_CODE += ( -253                       )

      NAIF_BODY_NAME += ( 'MER-1_LANDING_SITE'       )
      NAIF_BODY_CODE += ( -253900                    )


   \begintext


MER-1 rover body-mounted instruments names and IDs
----------------------------------------------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1_FRONT_HAZCAM_LEFT'  )
      NAIF_BODY_CODE += ( -253011                    )

      NAIF_BODY_NAME += ( 'MER-1_FRONT_HAZCAM_RIGHT' )
      NAIF_BODY_CODE += ( -253012                    )

      NAIF_BODY_NAME += ( 'MER-1_REAR_HAZCAM_LEFT'   )
      NAIF_BODY_CODE += ( -253021                    )

      NAIF_BODY_NAME += ( 'MER-1_REAR_HAZCAM_RIGHT'  )
      NAIF_BODY_CODE += ( -253022                    )

   \begintext


MER-1 PMA structures and PMA-mounted instrument names and IDs
---------------------------------------------------------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1_PMA_BASE'           )
      NAIF_BODY_CODE += ( -253100                    )

      NAIF_BODY_NAME += ( 'MER-1_PMA_HEAD'           )
      NAIF_BODY_CODE += ( -253110                    )

      NAIF_BODY_NAME += ( 'MER-1_NAVCAM_LEFT'        )
      NAIF_BODY_CODE += ( -253111                    )

      NAIF_BODY_NAME += ( 'MER-1_NAVCAM_RIGHT'       )
      NAIF_BODY_CODE += ( -253112                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F1'     )
      NAIF_BODY_CODE += ( -253121                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F2'     )
      NAIF_BODY_CODE += ( -253122                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F3'     )
      NAIF_BODY_CODE += ( -253123                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F4'     )
      NAIF_BODY_CODE += ( -253124                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F5'     )
      NAIF_BODY_CODE += ( -253125                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F6'     )
      NAIF_BODY_CODE += ( -253126                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F7'     )
      NAIF_BODY_CODE += ( -253127                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_LEFT_F8'     )
      NAIF_BODY_CODE += ( -253128                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F1'    )
      NAIF_BODY_CODE += ( -253131                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F2'    )
      NAIF_BODY_CODE += ( -253132                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F3'    )
      NAIF_BODY_CODE += ( -253133                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F4'    )
      NAIF_BODY_CODE += ( -253134                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F5'    )
      NAIF_BODY_CODE += ( -253135                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F6'    )
      NAIF_BODY_CODE += ( -253136                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F7'    )
      NAIF_BODY_CODE += ( -253137                    )

      NAIF_BODY_NAME += ( 'MER-1_PANCAM_RIGHT_F8'    )
      NAIF_BODY_CODE += ( -253138                    )

      NAIF_BODY_NAME += ( 'MER-1_MINITES'            )
      NAIF_BODY_CODE += ( -253140                    )


   \begintext


MER-1 IDD structures and IDD-mounted instrument names and IDs
---------------------------------------------------------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1_IDD_BASE'           )
      NAIF_BODY_CODE += ( -253200                    )

      NAIF_BODY_NAME += ( 'MER-1_IDD_SHOULDER_AZ'    )
      NAIF_BODY_CODE += ( -253201                    )

      NAIF_BODY_NAME += ( 'MER-1_IDD_SHOULDER_EL'    )
      NAIF_BODY_CODE += ( -253202                    )

      NAIF_BODY_NAME += ( 'MER-1_IDD_ELBOW'          )
      NAIF_BODY_CODE += ( -253203                    )

      NAIF_BODY_NAME += ( 'MER-1_IDD_WRIST'          )
      NAIF_BODY_CODE += ( -253204                    )

      NAIF_BODY_NAME += ( 'MER-1_IDD_TURRET'         )
      NAIF_BODY_CODE += ( -253205                    )

      NAIF_BODY_NAME += ( 'MER-1_IDD_TURRET_HEAD'    )
      NAIF_BODY_CODE += ( -253206                    )

      NAIF_BODY_NAME += ( 'MER-1_APXS'               )
      NAIF_BODY_CODE += ( -253210                    )

      NAIF_BODY_NAME += ( 'MER-1_MICROIMAGER'        )
      NAIF_BODY_CODE += ( -253220                    )

      NAIF_BODY_NAME += ( 'MER-1_MICROIMAGER_F1'     )
      NAIF_BODY_CODE += ( -253221                    )

      NAIF_BODY_NAME += ( 'MER-1_MICROIMAGER_F2'     )
      NAIF_BODY_CODE += ( -253222                    )

      NAIF_BODY_NAME += ( 'MER-1_RAT'                )
      NAIF_BODY_CODE += ( -253230                    )
  
      NAIF_BODY_NAME += ( 'MER-1_MOSSBAUER'          )
      NAIF_BODY_CODE += ( -253240                    )

   \begintext


MER-1 antenna names and IDs
---------------------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1_MGA'                )
      NAIF_BODY_CODE += ( -253500                    )

      NAIF_BODY_NAME += ( 'MER-1_CLGA'               )
      NAIF_BODY_CODE += ( -253510                    )

      NAIF_BODY_NAME += ( 'MER-1_BLGA'               )
      NAIF_BODY_CODE += ( -253520                    )

      NAIF_BODY_NAME += ( 'MER-1_UHF'                )
      NAIF_BODY_CODE += ( -253030                    )

      NAIF_BODY_NAME += ( 'MER-1_HGA_BASE'           )
      NAIF_BODY_CODE += ( -253300                    )

      NAIF_BODY_NAME += ( 'MER-1_HGA'                )
      NAIF_BODY_CODE += ( -253310                    )

      NAIF_BODY_NAME += ( 'MER-1_RLGA'               )
      NAIF_BODY_CODE += ( -253540                    )

   \begintext


MER-1 mobility system components names and IDs
----------------------------------------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1_ROCKER_LEFT'        )
      NAIF_BODY_CODE += ( -253410                    )

      NAIF_BODY_NAME += ( 'MER-1_BOGEY_LEFT'         )
      NAIF_BODY_CODE += ( -253411                    )

      NAIF_BODY_NAME += ( 'MER-1_STRUT_FRONT_LEFT'   )
      NAIF_BODY_CODE += ( -253412                    )

      NAIF_BODY_NAME += ( 'MER-1_STRUT_REAR_LEFT'    )
      NAIF_BODY_CODE += ( -253413                    )

      NAIF_BODY_NAME += ( 'MER-1_ROCKER_RIGHT'       )
      NAIF_BODY_CODE += ( -253420                    ) 

      NAIF_BODY_NAME += ( 'MER-1_BOGEY_RIGHT'        )
      NAIF_BODY_CODE += ( -253421                    )

      NAIF_BODY_NAME += ( 'MER-1_STRUT_FRONT_RIGHT'  )
      NAIF_BODY_CODE += ( -253422                    )

      NAIF_BODY_NAME += ( 'MER-1_STRUT_REAR_RIGHT'   )
      NAIF_BODY_CODE += ( -253423                    )

   \begintext


MER-1 Site IDs
--------------

   \begindata

      NAIF_BODY_NAME += ( 'MER-1_SITE_1'             )
      NAIF_BODY_CODE += ( -253901                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_2'             )
      NAIF_BODY_CODE += ( -253902                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_3'             )
      NAIF_BODY_CODE += ( -253903                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_4'             )
      NAIF_BODY_CODE += ( -253904                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_5'             )
      NAIF_BODY_CODE += ( -253905                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_6'             )
      NAIF_BODY_CODE += ( -253906                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_7'             )
      NAIF_BODY_CODE += ( -253907                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_8'             )
      NAIF_BODY_CODE += ( -253908                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_9'             )
      NAIF_BODY_CODE += ( -253909                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_10'            )
      NAIF_BODY_CODE += ( -253910                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_11'            )
      NAIF_BODY_CODE += ( -253911                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_12'            )
      NAIF_BODY_CODE += ( -253912                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_13'            )
      NAIF_BODY_CODE += ( -253913                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_14'            )
      NAIF_BODY_CODE += ( -253914                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_15'            )
      NAIF_BODY_CODE += ( -253915                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_16'            )
      NAIF_BODY_CODE += ( -253916                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_17'            )
      NAIF_BODY_CODE += ( -253917                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_18'            )
      NAIF_BODY_CODE += ( -253918                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_19'            )
      NAIF_BODY_CODE += ( -253919                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_20'            )
      NAIF_BODY_CODE += ( -253920                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_21'            )
      NAIF_BODY_CODE += ( -253921                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_22'            )
      NAIF_BODY_CODE += ( -253922                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_23'            )
      NAIF_BODY_CODE += ( -253923                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_24'            )
      NAIF_BODY_CODE += ( -253924                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_25'            )
      NAIF_BODY_CODE += ( -253925                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_26'            )
      NAIF_BODY_CODE += ( -253926                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_27'            )
      NAIF_BODY_CODE += ( -253927                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_28'            )
      NAIF_BODY_CODE += ( -253928                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_29'            )
      NAIF_BODY_CODE += ( -253929                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_30'            )
      NAIF_BODY_CODE += ( -253930                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_31'            )
      NAIF_BODY_CODE += ( -253931                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_32'            )
      NAIF_BODY_CODE += ( -253932                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_33'            )
      NAIF_BODY_CODE += ( -253933                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_34'            )
      NAIF_BODY_CODE += ( -253934                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_35'            )
      NAIF_BODY_CODE += ( -253935                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_36'            )
      NAIF_BODY_CODE += ( -253936                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_37'            )
      NAIF_BODY_CODE += ( -253937                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_38'            )
      NAIF_BODY_CODE += ( -253938                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_39'            )
      NAIF_BODY_CODE += ( -253939                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_40'            )
      NAIF_BODY_CODE += ( -253940                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_41'            )
      NAIF_BODY_CODE += ( -253941                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_42'            )
      NAIF_BODY_CODE += ( -253942                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_43'            )
      NAIF_BODY_CODE += ( -253943                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_44'            )
      NAIF_BODY_CODE += ( -253944                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_45'            )
      NAIF_BODY_CODE += ( -253945                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_46'            )
      NAIF_BODY_CODE += ( -253946                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_47'            )
      NAIF_BODY_CODE += ( -253947                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_48'            )
      NAIF_BODY_CODE += ( -253948                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_49'            )
      NAIF_BODY_CODE += ( -253949                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_50'            )
      NAIF_BODY_CODE += ( -253950                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_51'            )
      NAIF_BODY_CODE += ( -253951                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_52'            )
      NAIF_BODY_CODE += ( -253952                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_53'            )
      NAIF_BODY_CODE += ( -253953                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_54'            )
      NAIF_BODY_CODE += ( -253954                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_55'            )
      NAIF_BODY_CODE += ( -253955                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_56'            )
      NAIF_BODY_CODE += ( -253956                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_57'            )
      NAIF_BODY_CODE += ( -253957                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_58'            )
      NAIF_BODY_CODE += ( -253958                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_59'            )
      NAIF_BODY_CODE += ( -253959                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_60'            )
      NAIF_BODY_CODE += ( -253960                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_61'            )
      NAIF_BODY_CODE += ( -253961                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_62'            )
      NAIF_BODY_CODE += ( -253962                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_63'            )
      NAIF_BODY_CODE += ( -253963                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_64'            )
      NAIF_BODY_CODE += ( -253964                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_65'            )
      NAIF_BODY_CODE += ( -253965                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_66'            )
      NAIF_BODY_CODE += ( -253966                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_67'            )
      NAIF_BODY_CODE += ( -253967                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_68'            )
      NAIF_BODY_CODE += ( -253968                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_69'            )
      NAIF_BODY_CODE += ( -253969                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_70'            )
      NAIF_BODY_CODE += ( -253970                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_71'            )
      NAIF_BODY_CODE += ( -253971                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_72'            )
      NAIF_BODY_CODE += ( -253972                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_73'            )
      NAIF_BODY_CODE += ( -253973                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_74'            )
      NAIF_BODY_CODE += ( -253974                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_75'            )
      NAIF_BODY_CODE += ( -253975                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_76'            )
      NAIF_BODY_CODE += ( -253976                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_77'            )
      NAIF_BODY_CODE += ( -253977                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_78'            )
      NAIF_BODY_CODE += ( -253978                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_79'            )
      NAIF_BODY_CODE += ( -253979                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_80'            )
      NAIF_BODY_CODE += ( -253980                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_81'            )
      NAIF_BODY_CODE += ( -253981                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_82'            )
      NAIF_BODY_CODE += ( -253982                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_83'            )
      NAIF_BODY_CODE += ( -253983                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_84'            )
      NAIF_BODY_CODE += ( -253984                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_85'            )
      NAIF_BODY_CODE += ( -253985                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_86'            )
      NAIF_BODY_CODE += ( -253986                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_87'            )
      NAIF_BODY_CODE += ( -253987                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_88'            )
      NAIF_BODY_CODE += ( -253988                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_89'            )
      NAIF_BODY_CODE += ( -253989                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_90'            )
      NAIF_BODY_CODE += ( -253990                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_91'            )
      NAIF_BODY_CODE += ( -253991                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_92'            )
      NAIF_BODY_CODE += ( -253992                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_93'            )
      NAIF_BODY_CODE += ( -253993                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_94'            )
      NAIF_BODY_CODE += ( -253994                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_95'            )
      NAIF_BODY_CODE += ( -253995                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_96'            )
      NAIF_BODY_CODE += ( -253996                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_97'            )
      NAIF_BODY_CODE += ( -253997                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_98'            )
      NAIF_BODY_CODE += ( -253998                    )


      NAIF_BODY_NAME += ( 'MER-1_SITE_99'            )
      NAIF_BODY_CODE += ( -253999                    )

   \begintext

